package at.gv.util.client.mis.usp;

public class USPClientException extends Exception {

  private static final long serialVersionUID = 5173056345209288701L;

  private int code = -1;
  
	public USPClientException(int code) {
	  super();
	  this.code = code;
  }

	public USPClientException(String message, int code, Throwable cause) {
	  super(message, cause);
	  this.code = code;
  }

	public USPClientException(String message, int code) {
	  super(message);
	  this.code = code;
  }

	public USPClientException(int code, Throwable cause) {
	  super(cause);
	  this.code = code;
  }
	
	public int getCode() {
		return this.code;
	}

}
