package at.gv.util.client.mis.usp_v2;

public class USPClientException extends Exception {

  private static final long serialVersionUID = 5173056345209288701L;

  private String code;
  
	public USPClientException(String code) {
	  super();
	  this.code = code;
  }

	public USPClientException(String message, String code, Throwable cause) {
	  super(message, cause);
	  this.code = code;
  }

	public USPClientException(String message, String errorCode) {
	  super(message);
	  this.code = errorCode;
  }

	public USPClientException(String code, Throwable cause) {
	  super(cause);
	  this.code = code;
  }
	
	public String getCode() {
		return this.code;
	}

}
