package at.gv.util.client.szr;

import at.gv.util.ex.EgovUtilException;

public interface IRoleGenerationStrategy {

	/**
	 * Generates a request specific role string 
	 * @param roleString Role from configuration
	 * 
	 * @return Dynamic generated role
	 * @throws EgovUtilException 
	 */
	public String generateRoleString(String roleString) throws EgovUtilException;
}
