
package at.gv.util.xsd.ersb;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ersb.personendata1.PersonenDatenTyp;


/**
 * <p>Java-Klasse für ErsbRequest complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ErsbRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PersonenDaten" type="{http://statistik.at/namespace/ersb/persondata/1#}PersonenDatenTyp"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ErsbRequest", propOrder = {
    "personenDaten"
})
public class ErsbRequest {

    @XmlElement(name = "PersonenDaten", required = true)
    protected PersonenDatenTyp personenDaten;
    @XmlAttribute(name = "id")
    protected BigInteger id;

    /**
     * Ruft den Wert der personenDaten-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PersonenDatenTyp }
     *     
     */
    public PersonenDatenTyp getPersonenDaten() {
        return personenDaten;
    }

    /**
     * Legt den Wert der personenDaten-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonenDatenTyp }
     *     
     */
    public void setPersonenDaten(PersonenDatenTyp value) {
        this.personenDaten = value;
    }

    /**
     * Ruft den Wert der id-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getId() {
        return id;
    }

    /**
     * Legt den Wert der id-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setId(BigInteger value) {
        this.id = value;
    }

}
