
package at.gv.util.xsd.ersb.pd;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ersb.basicTypes.RechtsformVollzug;
import at.gv.util.xsd.ersb.basicTypes.UntNameVollzug;


/**
 * entspricht CorporateBodyType
 * 
 * <p>Java-Klasse für NichtNatuerlichePersonTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="NichtNatuerlichePersonTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}AbstractPersonType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="VollerName" type="{http://www.w3.org/2001/XMLSchema}token" minOccurs="0"/>
 *         &lt;element name="Rechtsform" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}UntName" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}Rechtsform" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://statistik.at/namespace/ur/stammdaten/2#}VollzugAttributes"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NichtNatuerlichePersonTyp", propOrder = {
    "rest"
})
public class NichtNatuerlichePersonTyp
    extends AbstractPersonType
{

    @XmlElementRefs({
        @XmlElementRef(name = "VollerName", namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "Rechtsform", namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "Rechtsform", namespace = "http://statistik.at/namespace/ur/stammdaten/2#", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "UntName", namespace = "http://statistik.at/namespace/ur/stammdaten/2#", type = JAXBElement.class, required = false)
    })
    protected List<JAXBElement<?>> rest;
    @XmlAttribute(name = "vollzugBeginn", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object vollzugBeginn;
    @XmlAttribute(name = "vollzugEnde", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object vollzugEnde;

    /**
     * Ruft das restliche Contentmodell ab. 
     * 
     * <p>
     * Sie rufen diese "catch-all"-Eigenschaft aus folgendem Grund ab: 
     * Der Feldname "Rechtsform" wird von zwei verschiedenen Teilen eines Schemas verwendet. Siehe: 
     * Zeile 315 von file:/D:/Projekte/svn/online-vollmachten/egovutils/src/main/resources/wsdl/ERsB/1.1/PersonData_URSuche.xsd
     * Zeile 304 von file:/D:/Projekte/svn/online-vollmachten/egovutils/src/main/resources/wsdl/ERsB/1.1/PersonData_URSuche.xsd
     * <p>
     * Um diese Eigenschaft zu entfernen, wenden Sie eine Eigenschaftenanpassung für eine
     * der beiden folgenden Deklarationen an, um deren Namen zu ändern: 
     * Gets the value of the rest property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rest property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRest().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link RechtsformVollzug }{@code >}
     * {@link JAXBElement }{@code <}{@link String }{@code >}
     * {@link JAXBElement }{@code <}{@link String }{@code >}
     * {@link JAXBElement }{@code <}{@link UntNameVollzug }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getRest() {
        if (rest == null) {
            rest = new ArrayList<JAXBElement<?>>();
        }
        return this.rest;
    }

    /**
     * Ruft den Wert der vollzugBeginn-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getVollzugBeginn() {
        return vollzugBeginn;
    }

    /**
     * Legt den Wert der vollzugBeginn-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setVollzugBeginn(Object value) {
        this.vollzugBeginn = value;
    }

    /**
     * Ruft den Wert der vollzugEnde-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getVollzugEnde() {
        return vollzugEnde;
    }

    /**
     * Legt den Wert der vollzugEnde-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setVollzugEnde(Object value) {
        this.vollzugEnde = value;
    }

}
