
package at.gv.util.xsd.ersb.pd;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ersb.simpletypes.AdressTyp;


/**
 * entspricht TypedPostalAddressType
 * 			
 * 
 * <p>Java-Klasse für TypisiertePostAdresseTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="TypisiertePostAdresseTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}AbstractAddressType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}PostAdresse"/>
 *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}Typ"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://statistik.at/namespace/ur/stammdaten/2#}VollzugAttributes"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TypisiertePostAdresseTyp", propOrder = {
    "postAdresse",
    "typ"
})
public class TypisiertePostAdresseTyp
    extends AbstractAddressType
{

    @XmlElement(name = "PostAdresse")
    protected PostAdresseTyp postAdresse;
    @XmlElement(name = "Typ", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    @XmlSchemaType(name = "string")
    protected AdressTyp typ;
    @XmlAttribute(name = "vollzugBeginn", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object vollzugBeginn;
    @XmlAttribute(name = "vollzugEnde", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object vollzugEnde;

    /**
     * Ruft den Wert der postAdresse-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PostAdresseTyp }
     *     
     */
    public PostAdresseTyp getPostAdresse() {
        return postAdresse;
    }

    /**
     * Legt den Wert der postAdresse-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PostAdresseTyp }
     *     
     */
    public void setPostAdresse(PostAdresseTyp value) {
        this.postAdresse = value;
    }

    /**
     * Ruft den Wert der typ-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link AdressTyp }
     *     
     */
    public AdressTyp getTyp() {
        return typ;
    }

    /**
     * Legt den Wert der typ-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressTyp }
     *     
     */
    public void setTyp(AdressTyp value) {
        this.typ = value;
    }

    /**
     * Ruft den Wert der vollzugBeginn-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getVollzugBeginn() {
        return vollzugBeginn;
    }

    /**
     * Legt den Wert der vollzugBeginn-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setVollzugBeginn(Object value) {
        this.vollzugBeginn = value;
    }

    /**
     * Ruft den Wert der vollzugEnde-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getVollzugEnde() {
        return vollzugEnde;
    }

    /**
     * Legt den Wert der vollzugEnde-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setVollzugEnde(Object value) {
        this.vollzugEnde = value;
    }

}
