
package at.gv.util.xsd.ersb.personendata1;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ersb.RechtsformErsb;
import at.gv.util.xsd.ersb.UntNameErsb;


/**
 * entspricht CorporateBodyType
 * 
 * <p>Java-Klasse für NichtNatuerlichePersonTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="NichtNatuerlichePersonTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://statistik.at/namespace/ersb/persondata/1#}AbstractPersonType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="VollerName" type="{http://www.w3.org/2001/XMLSchema}token" minOccurs="0"/>
 *         &lt;element name="Rechtsform" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *         &lt;element ref="{http://statistik.at/namespace/ersb/1#}UntName" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{http://statistik.at/namespace/ersb/1#}Rechtsform" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://statistik.at/namespace/ersb/1#}ErsbAttributes"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NichtNatuerlichePersonTyp", propOrder = {
    "rest"
})
public class NichtNatuerlichePersonTyp
    extends AbstractPersonType
{

    @XmlElementRefs({
        @XmlElementRef(name = "Rechtsform", namespace = "http://statistik.at/namespace/ersb/1#", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "UntName", namespace = "http://statistik.at/namespace/ersb/1#", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "Rechtsform", namespace = "http://statistik.at/namespace/ersb/persondata/1#", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "VollerName", namespace = "http://statistik.at/namespace/ersb/persondata/1#", type = JAXBElement.class, required = false)
    })
    protected List<JAXBElement<?>> rest;
    @XmlAttribute(name = "aktion", namespace = "http://statistik.at/namespace/ersb/1#")
    protected String aktion;

    /**
     * Ruft das restliche Contentmodell ab. 
     * 
     * <p>
     * Sie rufen diese "catch-all"-Eigenschaft aus folgendem Grund ab: 
     * Der Feldname "Rechtsform" wird von zwei verschiedenen Teilen eines Schemas verwendet. Siehe: 
     * Zeile 268 von file:/D:/Projekte/svn/online-vollmachten/egovutils/src/main/resources/wsdl/ERsB/1.1/PersonData_Ersb.xsd
     * Zeile 260 von file:/D:/Projekte/svn/online-vollmachten/egovutils/src/main/resources/wsdl/ERsB/1.1/PersonData_Ersb.xsd
     * <p>
     * Um diese Eigenschaft zu entfernen, wenden Sie eine Eigenschaftenanpassung für eine
     * der beiden folgenden Deklarationen an, um deren Namen zu ändern: 
     * Gets the value of the rest property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rest property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRest().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link RechtsformErsb }{@code >}
     * {@link JAXBElement }{@code <}{@link UntNameErsb }{@code >}
     * {@link JAXBElement }{@code <}{@link String }{@code >}
     * {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getRest() {
        if (rest == null) {
            rest = new ArrayList<JAXBElement<?>>();
        }
        return this.rest;
    }

    /**
     * Ruft den Wert der aktion-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktion() {
        return aktion;
    }

    /**
     * Legt den Wert der aktion-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktion(String value) {
        this.aktion = value;
    }

}
