
package at.gv.util.xsd.mis.usp_v2.eai.common;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java-Klasse für ProcessStateType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ProcessStateType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="ProcessAction" type="{http://eai.brz.gv.at/services/vdds/common}ActionType"/&gt;
 *         &lt;element name="ProcessState" type="{http://eai.brz.gv.at/services/vdds/common}StateType"/&gt;
 *         &lt;element name="LastProcessingTS" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProcessStateType", propOrder = {
    "processAction",
    "processState",
    "lastProcessingTS"
})
public class ProcessStateType {

    @XmlElement(name = "ProcessAction", required = true)
    @XmlSchemaType(name = "string")
    protected ActionType processAction;
    @XmlElement(name = "ProcessState", required = true)
    @XmlSchemaType(name = "string")
    protected StateType processState;
    @XmlElement(name = "LastProcessingTS", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar lastProcessingTS;

    /**
     * Ruft den Wert der processAction-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ActionType }
     *     
     */
    public ActionType getProcessAction() {
        return processAction;
    }

    /**
     * Legt den Wert der processAction-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ActionType }
     *     
     */
    public void setProcessAction(ActionType value) {
        this.processAction = value;
    }

    /**
     * Ruft den Wert der processState-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link StateType }
     *     
     */
    public StateType getProcessState() {
        return processState;
    }

    /**
     * Legt den Wert der processState-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link StateType }
     *     
     */
    public void setProcessState(StateType value) {
        this.processState = value;
    }

    /**
     * Ruft den Wert der lastProcessingTS-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getLastProcessingTS() {
        return lastProcessingTS;
    }

    /**
     * Legt den Wert der lastProcessingTS-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setLastProcessingTS(XMLGregorianCalendar value) {
        this.lastProcessingTS = value;
    }

}
