
package at.gv.util.xsd.mis.usp_v2.eai.common;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.mis.usp_v2.eai.token.ModificationTokenResultType;


/**
 * <p>Java-Klasse für ReferableResultType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ReferableResultType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://eai.brz.gv.at/services/vdds/common}ResultType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="RefID" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="State" type="{http://eai.brz.gv.at/services/vdds/common}StateType"/&gt;
 *         &lt;element name="ProcessState" type="{http://eai.brz.gv.at/services/vdds/common}ProcessStateType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ReferableResultType", propOrder = {
    "refID",
    "state",
    "processState"
})
@XmlSeeAlso({
    ModificationTokenResultType.class
})
public class ReferableResultType
    extends ResultType
{

    @XmlElement(name = "RefID", required = true)
    protected String refID;
    @XmlElement(name = "State", required = true)
    @XmlSchemaType(name = "string")
    protected StateType state;
    @XmlElement(name = "ProcessState")
    protected ProcessStateType processState;

    /**
     * Ruft den Wert der refID-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRefID() {
        return refID;
    }

    /**
     * Legt den Wert der refID-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRefID(String value) {
        this.refID = value;
    }

    /**
     * Ruft den Wert der state-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link StateType }
     *     
     */
    public StateType getState() {
        return state;
    }

    /**
     * Legt den Wert der state-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link StateType }
     *     
     */
    public void setState(StateType value) {
        this.state = value;
    }

    /**
     * Ruft den Wert der processState-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ProcessStateType }
     *     
     */
    public ProcessStateType getProcessState() {
        return processState;
    }

    /**
     * Legt den Wert der processState-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ProcessStateType }
     *     
     */
    public void setProcessState(ProcessStateType value) {
        this.processState = value;
    }

}
