
package at.gv.util.xsd.mis.usp_v2.eai.common;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für StateType.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="StateType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="TOKEN"/&gt;
 *     &lt;enumeration value="RETRY"/&gt;
 *     &lt;enumeration value="PARTNER"/&gt;
 *     &lt;enumeration value="SYNC"/&gt;
 *     &lt;enumeration value="SYNCED"/&gt;
 *     &lt;enumeration value="COMMIT"/&gt;
 *     &lt;enumeration value="ROLLBACK"/&gt;
 *     &lt;enumeration value="APPLICABLE"/&gt;
 *     &lt;enumeration value="ERRONEOUS"/&gt;
 *     &lt;enumeration value="ROLLEDBACK"/&gt;
 *     &lt;enumeration value="TERMINATED"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "StateType")
@XmlEnum
public enum StateType {

    TOKEN,
    RETRY,
    PARTNER,
    SYNC,
    SYNCED,
    COMMIT,
    ROLLBACK,
    APPLICABLE,
    ERRONEOUS,
    ROLLEDBACK,
    TERMINATED;

    public String value() {
        return name();
    }

    public static StateType fromValue(String v) {
        return valueOf(v);
    }

}
