
package at.gv.util.xsd.mis.usp_v2.eai.synchronisation;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import at.gv.util.xsd.mis.usp_v2.eai.common.ResultType;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.mis.usp_v2.eai.synchronisation package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CreateMandateFault_QNAME = new QName("http://eai.brz.gv.at/services/vdds/synchronisation", "CreateMandateFault");
    private final static QName _CreateMandateStateFault_QNAME = new QName("http://eai.brz.gv.at/services/vdds/synchronisation", "CreateMandateStateFault");
    private final static QName _ListMandatesFault_QNAME = new QName("http://eai.brz.gv.at/services/vdds/synchronisation", "ListMandatesFault");
    private final static QName _RequestModificationTokenFault_QNAME = new QName("http://eai.brz.gv.at/services/vdds/synchronisation", "RequestModificationTokenFault");
    private final static QName _TerminateMandateFault_QNAME = new QName("http://eai.brz.gv.at/services/vdds/synchronisation", "TerminateMandateFault");
    private final static QName _TerminateMandateStateFault_QNAME = new QName("http://eai.brz.gv.at/services/vdds/synchronisation", "TerminateMandateStateFault");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.mis.usp_v2.eai.synchronisation
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResultType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/synchronisation", name = "CreateMandateFault")
    public JAXBElement<ResultType> createCreateMandateFault(ResultType value) {
        return new JAXBElement<ResultType>(_CreateMandateFault_QNAME, ResultType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResultType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/synchronisation", name = "CreateMandateStateFault")
    public JAXBElement<ResultType> createCreateMandateStateFault(ResultType value) {
        return new JAXBElement<ResultType>(_CreateMandateStateFault_QNAME, ResultType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResultType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/synchronisation", name = "ListMandatesFault")
    public JAXBElement<ResultType> createListMandatesFault(ResultType value) {
        return new JAXBElement<ResultType>(_ListMandatesFault_QNAME, ResultType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResultType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/synchronisation", name = "RequestModificationTokenFault")
    public JAXBElement<ResultType> createRequestModificationTokenFault(ResultType value) {
        return new JAXBElement<ResultType>(_RequestModificationTokenFault_QNAME, ResultType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResultType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/synchronisation", name = "TerminateMandateFault")
    public JAXBElement<ResultType> createTerminateMandateFault(ResultType value) {
        return new JAXBElement<ResultType>(_TerminateMandateFault_QNAME, ResultType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResultType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/synchronisation", name = "TerminateMandateStateFault")
    public JAXBElement<ResultType> createTerminateMandateStateFault(ResultType value) {
        return new JAXBElement<ResultType>(_TerminateMandateStateFault_QNAME, ResultType.class, null, value);
    }

}
