
package at.gv.util.xsd.mis.usp_v2.eai.syncmsgs;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.mis.usp_v2.eai.common.ReferableResultType;


/**
 * <p>Java-Klasse für ListMandatesResponseType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ListMandatesResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;sequence&gt;
 *           &lt;element ref="{http://eai.brz.gv.at/services/vdds/sync-msgs}Pagination" minOccurs="0"/&gt;
 *           &lt;element ref="{http://eai.brz.gv.at/services/vdds/sync-msgs}SearchResult"/&gt;
 *         &lt;/sequence&gt;
 *         &lt;sequence&gt;
 *           &lt;element ref="{http://eai.brz.gv.at/services/vdds/sync-msgs}Result"/&gt;
 *         &lt;/sequence&gt;
 *       &lt;/choice&gt;
 *       &lt;attribute name="variantType" type="{http://www.w3.org/2001/XMLSchema}string" /&gt;
 *       &lt;attribute name="version" type="{http://www.w3.org/2001/XMLSchema}string" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ListMandatesResponseType", propOrder = {
    "pagination",
    "searchResult",
    "result"
})
public class ListMandatesResponseType {

    @XmlElement(name = "Pagination")
    protected Pagination pagination;
    @XmlElementRef(name = "SearchResult", namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", type = JAXBElement.class, required = false)
    protected JAXBElement<?> searchResult;
    @XmlElement(name = "Result")
    protected ReferableResultType result;
    @XmlAttribute(name = "variantType")
    protected String variantType;
    @XmlAttribute(name = "version")
    protected String version;

    /**
     * Ruft den Wert der pagination-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Pagination }
     *     
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * Legt den Wert der pagination-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Pagination }
     *     
     */
    public void setPagination(Pagination value) {
        this.pagination = value;
    }

    /**
     * Ruft den Wert der searchResult-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link MandateList }{@code >}
     *     {@link JAXBElement }{@code <}{@link Object }{@code >}
     *     {@link JAXBElement }{@code <}{@link ReferencedMandatesResult }{@code >}
     *     
     */
    public JAXBElement<?> getSearchResult() {
        return searchResult;
    }

    /**
     * Legt den Wert der searchResult-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link MandateList }{@code >}
     *     {@link JAXBElement }{@code <}{@link Object }{@code >}
     *     {@link JAXBElement }{@code <}{@link ReferencedMandatesResult }{@code >}
     *     
     */
    public void setSearchResult(JAXBElement<?> value) {
        this.searchResult = value;
    }

    /**
     * 
     * 				this is the general purpose response element used
     * 				to acknowledge several events
     * 			
     * 
     * @return
     *     possible object is
     *     {@link ReferableResultType }
     *     
     */
    public ReferableResultType getResult() {
        return result;
    }

    /**
     * Legt den Wert der result-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferableResultType }
     *     
     */
    public void setResult(ReferableResultType value) {
        this.result = value;
    }

    /**
     * Ruft den Wert der variantType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVariantType() {
        return variantType;
    }

    /**
     * Legt den Wert der variantType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVariantType(String value) {
        this.variantType = value;
    }

    /**
     * Ruft den Wert der version-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Legt den Wert der version-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

}
