
package at.gv.util.xsd.mis.usp_v2.eai.syncmsgs;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlMixed;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.mis.usp_v2.mandates.PropertiesType;
import at.gv.util.xsd.mis.usp_v2.persondata.IdentificationType;


/**
 * <p>Java-Klasse für SearchCriteriaType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="SearchCriteriaType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence maxOccurs="7"&gt;
 *         &lt;choice&gt;
 *           &lt;element name="ActivationRange" type="{http://eai.brz.gv.at/services/vdds/sync-msgs}TimeRangeType"/&gt;
 *           &lt;element name="MandateType" type="{http://reference.e-government.gv.at/namespace/mandates/20040701#}TextualDescriptionType"/&gt;
 *           &lt;element name="MandatorID" type="{http://reference.e-government.gv.at/namespace/persondata/20020228#}IdentificationType"/&gt;
 *           &lt;element name="RepresentativeID" type="{http://reference.e-government.gv.at/namespace/persondata/20020228#}IdentificationType"/&gt;
 *           &lt;element name="TerminationRange" type="{http://eai.brz.gv.at/services/vdds/sync-msgs}TimeRangeType"/&gt;
 *           &lt;element name="ValidFromTo" type="{http://eai.brz.gv.at/services/vdds/sync-msgs}TimeRangeType"/&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Properties"/&gt;
 *         &lt;/choice&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SearchCriteriaTestType", propOrder = {
    "activationRangeOrMandateTypeOrMandatorID"
})
public class SearchCriteriaType {
		
    @XmlElementRefs({
        @XmlElementRef(name = "ValidFromTo", namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "MandatorID", namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "ActivationRange", namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "RepresentativeID", namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "TerminationRange", namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "MandateType", namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "Properties", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#", type = JAXBElement.class, required = false)
    })
    protected List<JAXBElement<?>> activationRangeOrMandateTypeOrMandatorID;

    /**
     * Gets the value of the activationRangeOrMandateTypeOrMandatorID property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the activationRangeOrMandateTypeOrMandatorID property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getActivationRangeOrMandateTypeOrMandatorID().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link TimeRangeType }{@code >}
     * {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}
     * {@link JAXBElement }{@code <}{@link TimeRangeType }{@code >}
     * {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}
     * {@link JAXBElement }{@code <}{@link TimeRangeType }{@code >}
     * {@link JAXBElement }{@code <}{@link String }{@code >}
     * {@link JAXBElement }{@code <}{@link PropertiesType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getActivationRangeOrMandateTypeOrMandatorID() {
        if (activationRangeOrMandateTypeOrMandatorID == null) {
            activationRangeOrMandateTypeOrMandatorID = new ArrayList<JAXBElement<?>>();
        }
        return this.activationRangeOrMandateTypeOrMandatorID;
    }

}
