
package at.gv.util.xsd.mis.usp_v2.eai.token;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für ActionTypeType.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="ActionTypeType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="CreateMandate"/&gt;
 *     &lt;enumeration value="TerminateMandate"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "ActionTypeType")
@XmlEnum
public enum ActionTypeType {

    @XmlEnumValue("CreateMandate")
    CREATE_MANDATE("CreateMandate"),
    @XmlEnumValue("TerminateMandate")
    TERMINATE_MANDATE("TerminateMandate");
    private final String value;

    ActionTypeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ActionTypeType fromValue(String v) {
        for (ActionTypeType c: ActionTypeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
