
package at.gv.util.xsd.mis.usp_v2.mandates;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.mis.usp_v2.addpersondata.AdditionalMandateProperty;
import org.w3c.dom.Element;


/**
 * complex type for describing arbitrary properties of
 * 				mandates
 * 
 * <p>Java-Klasse für PropertiesType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="PropertiesType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{http://www.usp.gv.at/namespace/mandates/20160301#}AdditionalMandateProperty"/&gt;
 *         &lt;element name="SubstitutionAllowed" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PropertiesType", propOrder = {
    "additionalMandateProperty",
    "substitutionAllowed",
    "any"
})
public class PropertiesType {

    @XmlElement(name = "AdditionalMandateProperty", namespace = "http://www.usp.gv.at/namespace/mandates/20160301#", required = true)
    protected AdditionalMandateProperty additionalMandateProperty;
    @XmlElement(name = "SubstitutionAllowed", defaultValue = "false")
    protected Boolean substitutionAllowed;
    @XmlAnyElement(lax = true)
    protected List<Object> any;

    /**
     * additional usp specific property for an electronic mandate
     * 
     * @return
     *     possible object is
     *     {@link AdditionalMandateProperty }
     *     
     */
    public AdditionalMandateProperty getAdditionalMandateProperty() {
        return additionalMandateProperty;
    }

    /**
     * Legt den Wert der additionalMandateProperty-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link AdditionalMandateProperty }
     *     
     */
    public void setAdditionalMandateProperty(AdditionalMandateProperty value) {
        this.additionalMandateProperty = value;
    }

    /**
     * Ruft den Wert der substitutionAllowed-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSubstitutionAllowed() {
        return substitutionAllowed;
    }

    /**
     * Legt den Wert der substitutionAllowed-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSubstitutionAllowed(Boolean value) {
        this.substitutionAllowed = value;
    }

    /**
     * Gets the value of the any property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the any property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAny().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Element }
     * {@link Object }
     * 
     * 
     */
    public List<Object> getAny() {
        if (any == null) {
            any = new ArrayList<Object>();
        }
        return this.any;
    }

}
