
package at.gv.util.xsd.mis.usp_v2.persondata;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für DefinedAlternativeNameTypeType.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="DefinedAlternativeNameTypeType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="ArtistName"/&gt;
 *     &lt;enumeration value="NickName"/&gt;
 *     &lt;enumeration value="FormerName"/&gt;
 *     &lt;enumeration value="Alias"/&gt;
 *     &lt;enumeration value="MaidenName"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "DefinedAlternativeNameTypeType")
@XmlEnum
public enum DefinedAlternativeNameTypeType {

    @XmlEnumValue("ArtistName")
    ARTIST_NAME("ArtistName"),
    @XmlEnumValue("NickName")
    NICK_NAME("NickName"),
    @XmlEnumValue("FormerName")
    FORMER_NAME("FormerName"),
    @XmlEnumValue("Alias")
    ALIAS("Alias"),
    @XmlEnumValue("MaidenName")
    MAIDEN_NAME("MaidenName");
    private final String value;

    DefinedAlternativeNameTypeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DefinedAlternativeNameTypeType fromValue(String v) {
        for (DefinedAlternativeNameTypeType c: DefinedAlternativeNameTypeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
