
package at.gv.util.xsd.mis.usp_v2.persondata;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für FederalStateType.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="FederalStateType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="Wien"/&gt;
 *     &lt;enumeration value="Niederösterreich"/&gt;
 *     &lt;enumeration value="Burgenland"/&gt;
 *     &lt;enumeration value="Oberösterreich"/&gt;
 *     &lt;enumeration value="Steiermark"/&gt;
 *     &lt;enumeration value="Salzburg"/&gt;
 *     &lt;enumeration value="Kärnten"/&gt;
 *     &lt;enumeration value="Tirol"/&gt;
 *     &lt;enumeration value="Vorarlberg"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "FederalStateType")
@XmlEnum
public enum FederalStateType {

    @XmlEnumValue("Wien")
    WIEN("Wien"),
    @XmlEnumValue("Nieder\u00f6sterreich")
    NIEDERÖSTERREICH("Nieder\u00f6sterreich"),
    @XmlEnumValue("Burgenland")
    BURGENLAND("Burgenland"),
    @XmlEnumValue("Ober\u00f6sterreich")
    OBERÖSTERREICH("Ober\u00f6sterreich"),
    @XmlEnumValue("Steiermark")
    STEIERMARK("Steiermark"),
    @XmlEnumValue("Salzburg")
    SALZBURG("Salzburg"),
    @XmlEnumValue("K\u00e4rnten")
    KÄRNTEN("K\u00e4rnten"),
    @XmlEnumValue("Tirol")
    TIROL("Tirol"),
    @XmlEnumValue("Vorarlberg")
    VORARLBERG("Vorarlberg");
    private final String value;

    FederalStateType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FederalStateType fromValue(String v) {
        for (FederalStateType c: FederalStateType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
