
package at.gv.util.xsd.mis.usp_v2.persondata;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für MaritalStatusType.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="MaritalStatusType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token"&gt;
 *     &lt;enumeration value="single"/&gt;
 *     &lt;enumeration value="married"/&gt;
 *     &lt;enumeration value="divorced"/&gt;
 *     &lt;enumeration value="widowed"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "MaritalStatusType")
@XmlEnum
public enum MaritalStatusType {

    @XmlEnumValue("single")
    SINGLE("single"),
    @XmlEnumValue("married")
    MARRIED("married"),
    @XmlEnumValue("divorced")
    DIVORCED("divorced"),
    @XmlEnumValue("widowed")
    WIDOWED("widowed");
    private final String value;

    MaritalStatusType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static MaritalStatusType fromValue(String v) {
        for (MaritalStatusType c: MaritalStatusType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
