
package at.gv.util.xsd.moaspss;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für KeyStorageType.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="KeyStorageType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Software"/>
 *     &lt;enumeration value="Hardware"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "KeyStorageType")
@XmlEnum
public enum KeyStorageType {

    @XmlEnumValue("Software")
    SOFTWARE("Software"),
    @XmlEnumValue("Hardware")
    HARDWARE("Hardware");
    private final String value;

    KeyStorageType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static KeyStorageType fromValue(String v) {
        for (KeyStorageType c: KeyStorageType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
