
package at.gv.util.xsd.persondata;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CompactPhysicalPerson"/>
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CompactCorporateBody"/>
 *         &lt;/choice>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}InternetAddress"/>
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}TelephoneAddress"/>
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CompactPostalAddress"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "compactPhysicalPerson",
    "compactCorporateBody",
    "internetAddressOrTelephoneAddressOrCompactPostalAddress"
})
@XmlRootElement(name = "CompactPersonData")
public class CompactPersonData {

    @XmlElement(name = "CompactPhysicalPerson")
    protected CompactPhysicalPersonType compactPhysicalPerson;
    @XmlElement(name = "CompactCorporateBody")
    protected CompactCorporateBodyType compactCorporateBody;
    @XmlElements({
        @XmlElement(name = "InternetAddress", type = InternetAddressType.class),
        @XmlElement(name = "TelephoneAddress", type = TelephoneAddressType.class),
        @XmlElement(name = "CompactPostalAddress", type = CompactPostalAddressType.class)
    })
    protected List<AbstractAddressType> internetAddressOrTelephoneAddressOrCompactPostalAddress;

    /**
     * Ruft den Wert der compactPhysicalPerson-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link CompactPhysicalPersonType }
     *     
     */
    public CompactPhysicalPersonType getCompactPhysicalPerson() {
        return compactPhysicalPerson;
    }

    /**
     * Legt den Wert der compactPhysicalPerson-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link CompactPhysicalPersonType }
     *     
     */
    public void setCompactPhysicalPerson(CompactPhysicalPersonType value) {
        this.compactPhysicalPerson = value;
    }

    /**
     * Ruft den Wert der compactCorporateBody-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link CompactCorporateBodyType }
     *     
     */
    public CompactCorporateBodyType getCompactCorporateBody() {
        return compactCorporateBody;
    }

    /**
     * Legt den Wert der compactCorporateBody-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link CompactCorporateBodyType }
     *     
     */
    public void setCompactCorporateBody(CompactCorporateBodyType value) {
        this.compactCorporateBody = value;
    }

    /**
     * Gets the value of the internetAddressOrTelephoneAddressOrCompactPostalAddress property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the internetAddressOrTelephoneAddressOrCompactPostalAddress property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInternetAddressOrTelephoneAddressOrCompactPostalAddress().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InternetAddressType }
     * {@link TelephoneAddressType }
     * {@link CompactPostalAddressType }
     * 
     * 
     */
    public List<AbstractAddressType> getInternetAddressOrTelephoneAddressOrCompactPostalAddress() {
        if (internetAddressOrTelephoneAddressOrCompactPostalAddress == null) {
            internetAddressOrTelephoneAddressOrCompactPostalAddress = new ArrayList<AbstractAddressType>();
        }
        return this.internetAddressOrTelephoneAddressOrCompactPostalAddress;
    }

}
