
package at.gv.util.xsd.szr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PersonInfo" type="{urn:SZRServices}PersonInfoType"/>
 *         &lt;element name="BereichsKennung" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="VKZ" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Target" type="{urn:SZRServices}FremdBPKRequestType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="ListMultiplePersons" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "personInfo",
    "bereichsKennung",
    "vkz",
    "target",
    "listMultiplePersons"
})
@XmlRootElement(name = "GetBPK")
public class GetBPK {

    @XmlElement(name = "PersonInfo", required = true)
    protected PersonInfoType personInfo;
    @XmlElement(name = "BereichsKennung", required = true)
    protected String bereichsKennung;
    @XmlElement(name = "VKZ", required = true)
    protected String vkz;
    @XmlElement(name = "Target")
    protected List<FremdBPKRequestType> target;
    @XmlElement(name = "ListMultiplePersons")
    protected Boolean listMultiplePersons;

    /**
     * Ruft den Wert der personInfo-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PersonInfoType }
     *     
     */
    public PersonInfoType getPersonInfo() {
        return personInfo;
    }

    /**
     * Legt den Wert der personInfo-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonInfoType }
     *     
     */
    public void setPersonInfo(PersonInfoType value) {
        this.personInfo = value;
    }

    /**
     * Ruft den Wert der bereichsKennung-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBereichsKennung() {
        return bereichsKennung;
    }

    /**
     * Legt den Wert der bereichsKennung-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBereichsKennung(String value) {
        this.bereichsKennung = value;
    }

    /**
     * Ruft den Wert der vkz-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVKZ() {
        return vkz;
    }

    /**
     * Legt den Wert der vkz-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVKZ(String value) {
        this.vkz = value;
    }

    /**
     * Gets the value of the target property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the target property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTarget().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FremdBPKRequestType }
     * 
     * 
     */
    public List<FremdBPKRequestType> getTarget() {
        if (target == null) {
            target = new ArrayList<FremdBPKRequestType>();
        }
        return this.target;
    }

    /**
     * Ruft den Wert der listMultiplePersons-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isListMultiplePersons() {
        return listMultiplePersons;
    }

    /**
     * Legt den Wert der listMultiplePersons-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setListMultiplePersons(Boolean value) {
        this.listMultiplePersons = value;
    }

}
