
package at.gv.util.xsd.szr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="GetBPKReturn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FremdBPK" type="{urn:SZRServices}FremdBPKType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="PersonInfo" type="{urn:SZRServices}PersonInfoType" maxOccurs="5" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "getBPKReturn",
    "fremdBPK",
    "personInfo"
})
@XmlRootElement(name = "GetBPKResponse")
public class GetBPKResponse {

    @XmlElement(name = "GetBPKReturn")
    protected String getBPKReturn;
    @XmlElement(name = "FremdBPK")
    protected List<FremdBPKType> fremdBPK;
    @XmlElement(name = "PersonInfo")
    protected List<PersonInfoType> personInfo;

    /**
     * Ruft den Wert der getBPKReturn-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGetBPKReturn() {
        return getBPKReturn;
    }

    /**
     * Legt den Wert der getBPKReturn-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGetBPKReturn(String value) {
        this.getBPKReturn = value;
    }

    /**
     * Gets the value of the fremdBPK property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fremdBPK property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFremdBPK().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FremdBPKType }
     * 
     * 
     */
    public List<FremdBPKType> getFremdBPK() {
        if (fremdBPK == null) {
            fremdBPK = new ArrayList<FremdBPKType>();
        }
        return this.fremdBPK;
    }

    /**
     * Gets the value of the personInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the personInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPersonInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PersonInfoType }
     * 
     * 
     */
    public List<PersonInfoType> getPersonInfo() {
        if (personInfo == null) {
            personInfo = new ArrayList<PersonInfoType>();
        }
        return this.personInfo;
    }

}
