
package at.gv.util.xsd.ur_V2.xmlsw;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für SearchByIdType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="SearchByIdType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}SearchRequestId"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}SearchRequestInfo" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}RecordId"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SearchByIdType", propOrder = {
    "searchRequestId",
    "searchRequestInfo",
    "recordId"
})
public class SearchByIdType {

    @XmlElement(name = "SearchRequestId", required = true)
    protected String searchRequestId;
    @XmlElement(name = "SearchRequestInfo")
    protected SearchRequestInfoType searchRequestInfo;
    @XmlElement(name = "RecordId", required = true)
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger recordId;

    /**
     * Ruft den Wert der searchRequestId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSearchRequestId() {
        return searchRequestId;
    }

    /**
     * Legt den Wert der searchRequestId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSearchRequestId(String value) {
        this.searchRequestId = value;
    }

    /**
     * Ruft den Wert der searchRequestInfo-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SearchRequestInfoType }
     *     
     */
    public SearchRequestInfoType getSearchRequestInfo() {
        return searchRequestInfo;
    }

    /**
     * Legt den Wert der searchRequestInfo-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SearchRequestInfoType }
     *     
     */
    public void setSearchRequestInfo(SearchRequestInfoType value) {
        this.searchRequestInfo = value;
    }

    /**
     * Ruft den Wert der recordId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getRecordId() {
        return recordId;
    }

    /**
     * Legt den Wert der recordId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setRecordId(BigInteger value) {
        this.recordId = value;
    }

}
