
package at.gv.util.xsd.ur_V5.pd;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.ur_V5.pd package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Person_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "Person");
    private final static QName _PostAdresse_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "PostAdresse");
    private final static QName _Address_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "Address");
    private final static QName _Geburtsdatum_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "Geburtsdatum");
    private final static QName _NatuerlichePerson_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "NatuerlichePerson");
    private final static QName _NichtNatuerlichePerson_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "NichtNatuerlichePerson");
    private final static QName _AbstractPersonData_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "AbstractPersonData");
    private final static QName _TypisiertePostAdresse_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "TypisiertePostAdresse");
    private final static QName _PersonenName_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "PersonenName");
    private final static QName _PersonenDaten_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "PersonenDaten");
    private final static QName _NichtNatuerlichePersonTypRechtsform_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "Rechtsform");
    private final static QName _NichtNatuerlichePersonTypVollerName_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/de/20040201#", "VollerName");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.ur_V5.pd
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link IdentificationType }
     * 
     */
    public IdentificationType createIdentificationType() {
        return new IdentificationType();
    }

    /**
     * Create an instance of {@link PersonenNameTyp }
     * 
     */
    public PersonenNameTyp createPersonenNameTyp() {
        return new PersonenNameTyp();
    }

    /**
     * Create an instance of {@link PostAdresseTyp }
     * 
     */
    public PostAdresseTyp createPostAdresseTyp() {
        return new PostAdresseTyp();
    }

    /**
     * Create an instance of {@link PostAdresseTyp.Zustelladresse }
     * 
     */
    public PostAdresseTyp.Zustelladresse createPostAdresseTypZustelladresse() {
        return new PostAdresseTyp.Zustelladresse();
    }

    /**
     * Create an instance of {@link PersonenDatenTyp }
     * 
     */
    public PersonenDatenTyp createPersonenDatenTyp() {
        return new PersonenDatenTyp();
    }

    /**
     * Create an instance of {@link AbstractPersonType }
     * 
     */
    public AbstractPersonType createAbstractPersonType() {
        return new AbstractPersonType();
    }

    /**
     * Create an instance of {@link NatuerlichePersonTyp }
     * 
     */
    public NatuerlichePersonTyp createNatuerlichePersonTyp() {
        return new NatuerlichePersonTyp();
    }

    /**
     * Create an instance of {@link AbstractAddressType }
     * 
     */
    public AbstractAddressType createAbstractAddressType() {
        return new AbstractAddressType();
    }

    /**
     * Create an instance of {@link TypisiertePostAdresseTyp }
     * 
     */
    public TypisiertePostAdresseTyp createTypisiertePostAdresseTyp() {
        return new TypisiertePostAdresseTyp();
    }

    /**
     * Create an instance of {@link NichtNatuerlichePersonTyp }
     * 
     */
    public NichtNatuerlichePersonTyp createNichtNatuerlichePersonTyp() {
        return new NichtNatuerlichePersonTyp();
    }

    /**
     * Create an instance of {@link PersonenDatenZusatzdatenTyp }
     * 
     */
    public PersonenDatenZusatzdatenTyp createPersonenDatenZusatzdatenTyp() {
        return new PersonenDatenZusatzdatenTyp();
    }

    /**
     * Create an instance of {@link ZusatzdatenPersonenTyp }
     * 
     */
    public ZusatzdatenPersonenTyp createZusatzdatenPersonenTyp() {
        return new ZusatzdatenPersonenTyp();
    }

    /**
     * Create an instance of {@link IdentificationType.Value }
     * 
     */
    public IdentificationType.Value createIdentificationTypeValue() {
        return new IdentificationType.Value();
    }

    /**
     * Create an instance of {@link PersonenNameTyp.Familienname }
     * 
     */
    public PersonenNameTyp.Familienname createPersonenNameTypFamilienname() {
        return new PersonenNameTyp.Familienname();
    }

    /**
     * Create an instance of {@link PersonenNameTyp.Affix }
     * 
     */
    public PersonenNameTyp.Affix createPersonenNameTypAffix() {
        return new PersonenNameTyp.Affix();
    }

    /**
     * Create an instance of {@link PostAdresseTyp.Zustelladresse.AdressRegisterEintrag }
     * 
     */
    public PostAdresseTyp.Zustelladresse.AdressRegisterEintrag createPostAdresseTypZustelladresseAdressRegisterEintrag() {
        return new PostAdresseTyp.Zustelladresse.AdressRegisterEintrag();
    }

    /**
     * Create an instance of {@link PersonenDatenTyp.Zusatzdaten }
     * 
     */
    public PersonenDatenTyp.Zusatzdaten createPersonenDatenTypZusatzdaten() {
        return new PersonenDatenTyp.Zusatzdaten();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AbstractPersonType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "Person")
    public JAXBElement<AbstractPersonType> createPerson(AbstractPersonType value) {
        return new JAXBElement<AbstractPersonType>(_Person_QNAME, AbstractPersonType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PostAdresseTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "PostAdresse", substitutionHeadNamespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", substitutionHeadName = "Address")
    public JAXBElement<PostAdresseTyp> createPostAdresse(PostAdresseTyp value) {
        return new JAXBElement<PostAdresseTyp>(_PostAdresse_QNAME, PostAdresseTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AbstractAddressType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "Address")
    public JAXBElement<AbstractAddressType> createAddress(AbstractAddressType value) {
        return new JAXBElement<AbstractAddressType>(_Address_QNAME, AbstractAddressType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "Geburtsdatum")
    public JAXBElement<String> createGeburtsdatum(String value) {
        return new JAXBElement<String>(_Geburtsdatum_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link NatuerlichePersonTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "NatuerlichePerson", substitutionHeadNamespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", substitutionHeadName = "Person")
    public JAXBElement<NatuerlichePersonTyp> createNatuerlichePerson(NatuerlichePersonTyp value) {
        return new JAXBElement<NatuerlichePersonTyp>(_NatuerlichePerson_QNAME, NatuerlichePersonTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link NichtNatuerlichePersonTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "NichtNatuerlichePerson", substitutionHeadNamespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", substitutionHeadName = "Person")
    public JAXBElement<NichtNatuerlichePersonTyp> createNichtNatuerlichePerson(NichtNatuerlichePersonTyp value) {
        return new JAXBElement<NichtNatuerlichePersonTyp>(_NichtNatuerlichePerson_QNAME, NichtNatuerlichePersonTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AbstractPersonType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "AbstractPersonData")
    public JAXBElement<AbstractPersonType> createAbstractPersonData(AbstractPersonType value) {
        return new JAXBElement<AbstractPersonType>(_AbstractPersonData_QNAME, AbstractPersonType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TypisiertePostAdresseTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "TypisiertePostAdresse", substitutionHeadNamespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", substitutionHeadName = "Address")
    public JAXBElement<TypisiertePostAdresseTyp> createTypisiertePostAdresse(TypisiertePostAdresseTyp value) {
        return new JAXBElement<TypisiertePostAdresseTyp>(_TypisiertePostAdresse_QNAME, TypisiertePostAdresseTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonenNameTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "PersonenName")
    public JAXBElement<PersonenNameTyp> createPersonenName(PersonenNameTyp value) {
        return new JAXBElement<PersonenNameTyp>(_PersonenName_QNAME, PersonenNameTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonenDatenTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "PersonenDaten", substitutionHeadNamespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", substitutionHeadName = "AbstractPersonData")
    public JAXBElement<PersonenDatenTyp> createPersonenDaten(PersonenDatenTyp value) {
        return new JAXBElement<PersonenDatenTyp>(_PersonenDaten_QNAME, PersonenDatenTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "Rechtsform", scope = NichtNatuerlichePersonTyp.class)
    public JAXBElement<String> createNichtNatuerlichePersonTypRechtsform(String value) {
        return new JAXBElement<String>(_NichtNatuerlichePersonTypRechtsform_QNAME, String.class, NichtNatuerlichePersonTyp.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", name = "VollerName", scope = NichtNatuerlichePersonTyp.class)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createNichtNatuerlichePersonTypVollerName(String value) {
        return new JAXBElement<String>(_NichtNatuerlichePersonTypVollerName_QNAME, String.class, NichtNatuerlichePersonTyp.class, value);
    }

}
