
package at.gv.util.xsd.ur_V5.pd;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import at.gv.util.xsd.ur_V5.search.BestandsnachweisVollzug;
import at.gv.util.xsd.ur_V5.search.BestandszeitraumVollzug;
import at.gv.util.xsd.ur_V5.search.Branche;
import at.gv.util.xsd.ur_V5.search.Dubletten;
import at.gv.util.xsd.ur_V5.search.RechtstatsachenVollzug;
import at.gv.util.xsd.ur_V5.search.TaetigkeitszeitraumVollzug;
import at.gv.util.xsd.ur_V5.search.VertretungVollzug;
import at.gv.util.xsd.ur_V5.search.Vollzug;


/**
 * Container um eine Person und ihre Adressen zu
 * 				speichern
 * 
 * <p>Java-Klasse für PersonenDatenTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="PersonenDatenTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}AbstractPersonType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}NichtNatuerlichePerson"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}TypisiertePostAdresse" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Zusatzdaten" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence minOccurs="0">
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}AendDat" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Gesperrt" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Dubletten" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Bestandszeitraum" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Taetigkeitszeitraum" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Bestandsnachweis" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Vertretung" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Rechtstatsachen" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Branche" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element name="PersonenDaten" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}PersonenDatenZusatzdatenTyp" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Vollzug" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonenDatenTyp", propOrder = {
    "nichtNatuerlichePerson",
    "typisiertePostAdresse",
    "zusatzdaten"
})
public class PersonenDatenTyp
    extends AbstractPersonType
{

    @XmlElement(name = "NichtNatuerlichePerson", required = true)
    protected NichtNatuerlichePersonTyp nichtNatuerlichePerson;
    @XmlElement(name = "TypisiertePostAdresse")
    protected List<TypisiertePostAdresseTyp> typisiertePostAdresse;
    @XmlElement(name = "Zusatzdaten")
    protected PersonenDatenTyp.Zusatzdaten zusatzdaten;

    /**
     * Ruft den Wert der nichtNatuerlichePerson-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link NichtNatuerlichePersonTyp }
     *     
     */
    public NichtNatuerlichePersonTyp getNichtNatuerlichePerson() {
        return nichtNatuerlichePerson;
    }

    /**
     * Legt den Wert der nichtNatuerlichePerson-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link NichtNatuerlichePersonTyp }
     *     
     */
    public void setNichtNatuerlichePerson(NichtNatuerlichePersonTyp value) {
        this.nichtNatuerlichePerson = value;
    }

    /**
     * Gets the value of the typisiertePostAdresse property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the typisiertePostAdresse property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTypisiertePostAdresse().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TypisiertePostAdresseTyp }
     * 
     * 
     */
    public List<TypisiertePostAdresseTyp> getTypisiertePostAdresse() {
        if (typisiertePostAdresse == null) {
            typisiertePostAdresse = new ArrayList<TypisiertePostAdresseTyp>();
        }
        return this.typisiertePostAdresse;
    }

    /**
     * Ruft den Wert der zusatzdaten-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PersonenDatenTyp.Zusatzdaten }
     *     
     */
    public PersonenDatenTyp.Zusatzdaten getZusatzdaten() {
        return zusatzdaten;
    }

    /**
     * Legt den Wert der zusatzdaten-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonenDatenTyp.Zusatzdaten }
     *     
     */
    public void setZusatzdaten(PersonenDatenTyp.Zusatzdaten value) {
        this.zusatzdaten = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence minOccurs="0">
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}AendDat" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Gesperrt" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Dubletten" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Bestandszeitraum" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Taetigkeitszeitraum" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Bestandsnachweis" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Vertretung" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Rechtstatsachen" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Branche" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element name="PersonenDaten" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}PersonenDatenZusatzdatenTyp" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Vollzug" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "aendDat",
        "gesperrt",
        "dubletten",
        "bestandszeitraum",
        "taetigkeitszeitraum",
        "bestandsnachweis",
        "vertretung",
        "rechtstatsachen",
        "branche",
        "personenDaten",
        "vollzug"
    })
    public static class Zusatzdaten {

        @XmlElement(name = "AendDat", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar aendDat;
        @XmlElement(name = "Gesperrt", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
        protected Boolean gesperrt;
        @XmlElement(name = "Dubletten", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
        protected Dubletten dubletten;
        @XmlElement(name = "Bestandszeitraum", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
        protected List<BestandszeitraumVollzug> bestandszeitraum;
        @XmlElement(name = "Taetigkeitszeitraum", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
        protected List<TaetigkeitszeitraumVollzug> taetigkeitszeitraum;
        @XmlElement(name = "Bestandsnachweis", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
        protected List<BestandsnachweisVollzug> bestandsnachweis;
        @XmlElement(name = "Vertretung", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
        protected List<VertretungVollzug> vertretung;
        @XmlElement(name = "Rechtstatsachen", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
        protected List<RechtstatsachenVollzug> rechtstatsachen;
        @XmlElement(name = "Branche", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
        protected List<Branche> branche;
        @XmlElement(name = "PersonenDaten")
        protected List<PersonenDatenZusatzdatenTyp> personenDaten;
        @XmlElement(name = "Vollzug", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
        protected List<Vollzug> vollzug;

        /**
         * Ruft den Wert der aendDat-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getAendDat() {
            return aendDat;
        }

        /**
         * Legt den Wert der aendDat-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setAendDat(XMLGregorianCalendar value) {
            this.aendDat = value;
        }

        /**
         * Ruft den Wert der gesperrt-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public Boolean isGesperrt() {
            return gesperrt;
        }

        /**
         * Legt den Wert der gesperrt-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setGesperrt(Boolean value) {
            this.gesperrt = value;
        }

        /**
         * Ruft den Wert der dubletten-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link Dubletten }
         *     
         */
        public Dubletten getDubletten() {
            return dubletten;
        }

        /**
         * Legt den Wert der dubletten-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link Dubletten }
         *     
         */
        public void setDubletten(Dubletten value) {
            this.dubletten = value;
        }

        /**
         * Gets the value of the bestandszeitraum property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the bestandszeitraum property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getBestandszeitraum().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link BestandszeitraumVollzug }
         * 
         * 
         */
        public List<BestandszeitraumVollzug> getBestandszeitraum() {
            if (bestandszeitraum == null) {
                bestandszeitraum = new ArrayList<BestandszeitraumVollzug>();
            }
            return this.bestandszeitraum;
        }

        /**
         * Gets the value of the taetigkeitszeitraum property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the taetigkeitszeitraum property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getTaetigkeitszeitraum().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link TaetigkeitszeitraumVollzug }
         * 
         * 
         */
        public List<TaetigkeitszeitraumVollzug> getTaetigkeitszeitraum() {
            if (taetigkeitszeitraum == null) {
                taetigkeitszeitraum = new ArrayList<TaetigkeitszeitraumVollzug>();
            }
            return this.taetigkeitszeitraum;
        }

        /**
         * Gets the value of the bestandsnachweis property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the bestandsnachweis property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getBestandsnachweis().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link BestandsnachweisVollzug }
         * 
         * 
         */
        public List<BestandsnachweisVollzug> getBestandsnachweis() {
            if (bestandsnachweis == null) {
                bestandsnachweis = new ArrayList<BestandsnachweisVollzug>();
            }
            return this.bestandsnachweis;
        }

        /**
         * Gets the value of the vertretung property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the vertretung property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getVertretung().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link VertretungVollzug }
         * 
         * 
         */
        public List<VertretungVollzug> getVertretung() {
            if (vertretung == null) {
                vertretung = new ArrayList<VertretungVollzug>();
            }
            return this.vertretung;
        }

        /**
         * Gets the value of the rechtstatsachen property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the rechtstatsachen property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRechtstatsachen().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RechtstatsachenVollzug }
         * 
         * 
         */
        public List<RechtstatsachenVollzug> getRechtstatsachen() {
            if (rechtstatsachen == null) {
                rechtstatsachen = new ArrayList<RechtstatsachenVollzug>();
            }
            return this.rechtstatsachen;
        }

        /**
         * Gets the value of the branche property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the branche property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getBranche().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Branche }
         * 
         * 
         */
        public List<Branche> getBranche() {
            if (branche == null) {
                branche = new ArrayList<Branche>();
            }
            return this.branche;
        }

        /**
         * Gets the value of the personenDaten property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the personenDaten property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPersonenDaten().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PersonenDatenZusatzdatenTyp }
         * 
         * 
         */
        public List<PersonenDatenZusatzdatenTyp> getPersonenDaten() {
            if (personenDaten == null) {
                personenDaten = new ArrayList<PersonenDatenZusatzdatenTyp>();
            }
            return this.personenDaten;
        }

        /**
         * Gets the value of the vollzug property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the vollzug property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getVollzug().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Vollzug }
         * 
         * 
         */
        public List<Vollzug> getVollzug() {
            if (vollzug == null) {
                vollzug = new ArrayList<Vollzug>();
            }
            return this.vollzug;
        }

    }

}
