
package at.gv.util.xsd.ur_V5.search;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für FunktionVollzug complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="FunktionVollzug">
 *   &lt;complexContent>
 *     &lt;extension base="{http://statistik.at/namespace/ur/stammdaten/4#}Funktion">
 *       &lt;sequence>
 *         &lt;element name="FktRegel" type="{http://statistik.at/namespace/ur/stammdaten/4#}FktRegelTypVollzug" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Rechtstatsachen" type="{http://statistik.at/namespace/ur/stammdaten/4#}RechtstatsachenVollzug" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://statistik.at/namespace/ur/stammdaten/4#}VollzugAttributes"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FunktionVollzug", propOrder = {
    "fktRegel",
    "rechtstatsachen"
})
public class FunktionVollzug
    extends Funktion
{

    @XmlElement(name = "FktRegel")
    protected List<FktRegelTypVollzug> fktRegel;
    @XmlElement(name = "Rechtstatsachen")
    protected List<RechtstatsachenVollzug> rechtstatsachen;
    @XmlAttribute(name = "vollzugBeginn", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object vollzugBeginn;
    @XmlAttribute(name = "vollzugEnde", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object vollzugEnde;

    /**
     * Gets the value of the fktRegel property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fktRegel property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFktRegel().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FktRegelTypVollzug }
     * 
     * 
     */
    public List<FktRegelTypVollzug> getFktRegel() {
        if (fktRegel == null) {
            fktRegel = new ArrayList<FktRegelTypVollzug>();
        }
        return this.fktRegel;
    }

    /**
     * Gets the value of the rechtstatsachen property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rechtstatsachen property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRechtstatsachen().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RechtstatsachenVollzug }
     * 
     * 
     */
    public List<RechtstatsachenVollzug> getRechtstatsachen() {
        if (rechtstatsachen == null) {
            rechtstatsachen = new ArrayList<RechtstatsachenVollzug>();
        }
        return this.rechtstatsachen;
    }

    /**
     * Ruft den Wert der vollzugBeginn-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getVollzugBeginn() {
        return vollzugBeginn;
    }

    /**
     * Legt den Wert der vollzugBeginn-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setVollzugBeginn(Object value) {
        this.vollzugBeginn = value;
    }

    /**
     * Ruft den Wert der vollzugEnde-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getVollzugEnde() {
        return vollzugEnde;
    }

    /**
     * Legt den Wert der vollzugEnde-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setVollzugEnde(Object value) {
        this.vollzugEnde = value;
    }

}
