
package at.gv.util.xsd.ur_V5.xmlsw;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für ResultCriteriaType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ResultCriteriaType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}MaxRecords" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}StartRecord" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}SortKeys" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}TimeOut" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}RecordFieldList" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}ExtraResultCriteria" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ResultCriteriaType", propOrder = {
    "maxRecords",
    "startRecord",
    "sortKeys",
    "timeOut",
    "recordFieldList",
    "extraResultCriteria"
})
public class ResultCriteriaType {

    @XmlElement(name = "MaxRecords")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger maxRecords;
    @XmlElement(name = "StartRecord")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger startRecord;
    @XmlElement(name = "SortKeys")
    protected SortKeysType sortKeys;
    @XmlElement(name = "TimeOut")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger timeOut;
    @XmlElement(name = "RecordFieldList")
    protected RecordFieldList recordFieldList;
    @XmlElement(name = "ExtraResultCriteria")
    protected ExtraResultCriteria extraResultCriteria;

    /**
     * Ruft den Wert der maxRecords-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getMaxRecords() {
        return maxRecords;
    }

    /**
     * Legt den Wert der maxRecords-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setMaxRecords(BigInteger value) {
        this.maxRecords = value;
    }

    /**
     * Ruft den Wert der startRecord-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getStartRecord() {
        return startRecord;
    }

    /**
     * Legt den Wert der startRecord-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setStartRecord(BigInteger value) {
        this.startRecord = value;
    }

    /**
     * Ruft den Wert der sortKeys-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SortKeysType }
     *     
     */
    public SortKeysType getSortKeys() {
        return sortKeys;
    }

    /**
     * Legt den Wert der sortKeys-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SortKeysType }
     *     
     */
    public void setSortKeys(SortKeysType value) {
        this.sortKeys = value;
    }

    /**
     * Ruft den Wert der timeOut-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTimeOut() {
        return timeOut;
    }

    /**
     * Legt den Wert der timeOut-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTimeOut(BigInteger value) {
        this.timeOut = value;
    }

    /**
     * Ruft den Wert der recordFieldList-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link RecordFieldList }
     *     
     */
    public RecordFieldList getRecordFieldList() {
        return recordFieldList;
    }

    /**
     * Legt den Wert der recordFieldList-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link RecordFieldList }
     *     
     */
    public void setRecordFieldList(RecordFieldList value) {
        this.recordFieldList = value;
    }

    /**
     * Ruft den Wert der extraResultCriteria-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ExtraResultCriteria }
     *     
     */
    public ExtraResultCriteria getExtraResultCriteria() {
        return extraResultCriteria;
    }

    /**
     * Legt den Wert der extraResultCriteria-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ExtraResultCriteria }
     *     
     */
    public void setExtraResultCriteria(ExtraResultCriteria value) {
        this.extraResultCriteria = value;
    }

}
