
package at.gv.util.xsd.zkopf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * The list of approved delivery agents
 * 
 * <p>Java class for DeliveryAgentsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryAgentsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="DeliveryAgent" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="WebInterfaceURL">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyURI">
 *                         &lt;minLength value="1"/>
 *                         &lt;whiteSpace value="collapse"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="WebServiceURL">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyURI">
 *                         &lt;minLength value="1"/>
 *                         &lt;whiteSpace value="collapse"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryAgentsType", propOrder = {
    "deliveryAgent"
})
public class DeliveryAgentsType {

    @XmlElement(name = "DeliveryAgent", required = true)
    protected List<DeliveryAgentsType.DeliveryAgent> deliveryAgent;

    /**
     * Gets the value of the deliveryAgent property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the deliveryAgent property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDeliveryAgent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DeliveryAgentsType.DeliveryAgent }
     * 
     * 
     */
    public List<DeliveryAgentsType.DeliveryAgent> getDeliveryAgent() {
        if (deliveryAgent == null) {
            deliveryAgent = new ArrayList<DeliveryAgentsType.DeliveryAgent>();
        }
        return this.deliveryAgent;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="WebInterfaceURL">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyURI">
     *               &lt;minLength value="1"/>
     *               &lt;whiteSpace value="collapse"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="WebServiceURL">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyURI">
     *               &lt;minLength value="1"/>
     *               &lt;whiteSpace value="collapse"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "webInterfaceURL",
        "webServiceURL"
    })
    public static class DeliveryAgent {

        @XmlElement(name = "WebInterfaceURL", required = true)
        protected String webInterfaceURL;
        @XmlElement(name = "WebServiceURL", required = true)
        protected String webServiceURL;

        /**
         * Gets the value of the webInterfaceURL property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getWebInterfaceURL() {
            return webInterfaceURL;
        }

        /**
         * Sets the value of the webInterfaceURL property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setWebInterfaceURL(String value) {
            this.webInterfaceURL = value;
        }

        /**
         * Gets the value of the webServiceURL property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getWebServiceURL() {
            return webServiceURL;
        }

        /**
         * Sets the value of the webServiceURL property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setWebServiceURL(String value) {
            this.webServiceURL = value;
        }

    }

}
