
package at.gv.util.xsd.ersb;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ersb.basicTypes.Funktion;


/**
 * <p>Java-Klasse für FunktionErsb complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="FunktionErsb">
 *   &lt;complexContent>
 *     &lt;extension base="{http://statistik.at/namespace/ur/stammdaten/2#}Funktion">
 *       &lt;sequence>
 *         &lt;element name="FktRegel" type="{http://statistik.at/namespace/ersb/1#}FktRegelTypErsb" minOccurs="0"/>
 *         &lt;element name="Rechtstatsachen" type="{http://statistik.at/namespace/ersb/1#}RechtstatsachenErsb" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://statistik.at/namespace/ersb/1#}ErsbAttributes"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FunktionErsb", propOrder = {
    "fktRegel",
    "rechtstatsachen"
})
public class FunktionErsb
    extends Funktion
{

    @XmlElement(name = "FktRegel")
    protected FktRegelTypErsb fktRegel;
    @XmlElement(name = "Rechtstatsachen")
    protected List<RechtstatsachenErsb> rechtstatsachen;
    @XmlAttribute(name = "aktion", namespace = "http://statistik.at/namespace/ersb/1#")
    protected String aktion;

    /**
     * Ruft den Wert der fktRegel-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link FktRegelTypErsb }
     *     
     */
    public FktRegelTypErsb getFktRegel() {
        return fktRegel;
    }

    /**
     * Legt den Wert der fktRegel-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link FktRegelTypErsb }
     *     
     */
    public void setFktRegel(FktRegelTypErsb value) {
        this.fktRegel = value;
    }

    /**
     * Gets the value of the rechtstatsachen property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rechtstatsachen property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRechtstatsachen().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RechtstatsachenErsb }
     * 
     * 
     */
    public List<RechtstatsachenErsb> getRechtstatsachen() {
        if (rechtstatsachen == null) {
            rechtstatsachen = new ArrayList<RechtstatsachenErsb>();
        }
        return this.rechtstatsachen;
    }

    /**
     * Ruft den Wert der aktion-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktion() {
        return aktion;
    }

    /**
     * Legt den Wert der aktion-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktion(String value) {
        this.aktion = value;
    }

}
