
package at.gv.util.xsd.ersb.basicTypes;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import at.gv.util.xsd.ersb.FktRegelTypErsb;


/**
 * <p>Java-Klasse für FktRegelTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="FktRegelTyp">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="FktRegelVon" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="FktRegelBis" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="FktRegelText" type="{http://statistik.at/namespace/ur/simpleTypes/2#}FktRegelTextTyp" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FktRegelTyp", propOrder = {
    "fktRegelVon",
    "fktRegelBis",
    "fktRegelText"
})
@XmlSeeAlso({
    FktRegelTypErsb.class,
    FktRegelTypVollzug.class
})
public abstract class FktRegelTyp {

    @XmlElement(name = "FktRegelVon")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar fktRegelVon;
    @XmlElement(name = "FktRegelBis")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar fktRegelBis;
    @XmlElement(name = "FktRegelText")
    protected String fktRegelText;

    /**
     * Ruft den Wert der fktRegelVon-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getFktRegelVon() {
        return fktRegelVon;
    }

    /**
     * Legt den Wert der fktRegelVon-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setFktRegelVon(XMLGregorianCalendar value) {
        this.fktRegelVon = value;
    }

    /**
     * Ruft den Wert der fktRegelBis-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getFktRegelBis() {
        return fktRegelBis;
    }

    /**
     * Legt den Wert der fktRegelBis-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setFktRegelBis(XMLGregorianCalendar value) {
        this.fktRegelBis = value;
    }

    /**
     * Ruft den Wert der fktRegelText-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFktRegelText() {
        return fktRegelText;
    }

    /**
     * Legt den Wert der fktRegelText-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFktRegelText(String value) {
        this.fktRegelText = value;
    }

}
