
package at.gv.util.xsd.ersb.pd;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Container um eine Person und ihre Adressen zu
 * 				speichern
 * 
 * <p>Java-Klasse für PersonenDatenZusatzdatenTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="PersonenDatenZusatzdatenTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}AbstractPersonType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}NichtNatuerlichePerson"/>
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}NatuerlichePerson"/>
 *         &lt;/choice>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}TypisiertePostAdresse" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Zusatzdaten" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}ZusatzdatenPersonenTyp" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonenDatenZusatzdatenTyp", propOrder = {
    "nichtNatuerlichePerson",
    "natuerlichePerson",
    "typisiertePostAdresse",
    "zusatzdaten"
})
public class PersonenDatenZusatzdatenTyp
    extends AbstractPersonType
{

    @XmlElement(name = "NichtNatuerlichePerson")
    protected NichtNatuerlichePersonTyp nichtNatuerlichePerson;
    @XmlElement(name = "NatuerlichePerson")
    protected NatuerlichePersonTyp natuerlichePerson;
    @XmlElement(name = "TypisiertePostAdresse")
    protected List<TypisiertePostAdresseTyp> typisiertePostAdresse;
    @XmlElement(name = "Zusatzdaten")
    protected ZusatzdatenPersonenTyp zusatzdaten;

    /**
     * Ruft den Wert der nichtNatuerlichePerson-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link NichtNatuerlichePersonTyp }
     *     
     */
    public NichtNatuerlichePersonTyp getNichtNatuerlichePerson() {
        return nichtNatuerlichePerson;
    }

    /**
     * Legt den Wert der nichtNatuerlichePerson-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link NichtNatuerlichePersonTyp }
     *     
     */
    public void setNichtNatuerlichePerson(NichtNatuerlichePersonTyp value) {
        this.nichtNatuerlichePerson = value;
    }

    /**
     * Ruft den Wert der natuerlichePerson-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link NatuerlichePersonTyp }
     *     
     */
    public NatuerlichePersonTyp getNatuerlichePerson() {
        return natuerlichePerson;
    }

    /**
     * Legt den Wert der natuerlichePerson-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link NatuerlichePersonTyp }
     *     
     */
    public void setNatuerlichePerson(NatuerlichePersonTyp value) {
        this.natuerlichePerson = value;
    }

    /**
     * Gets the value of the typisiertePostAdresse property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the typisiertePostAdresse property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTypisiertePostAdresse().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TypisiertePostAdresseTyp }
     * 
     * 
     */
    public List<TypisiertePostAdresseTyp> getTypisiertePostAdresse() {
        if (typisiertePostAdresse == null) {
            typisiertePostAdresse = new ArrayList<TypisiertePostAdresseTyp>();
        }
        return this.typisiertePostAdresse;
    }

    /**
     * Ruft den Wert der zusatzdaten-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ZusatzdatenPersonenTyp }
     *     
     */
    public ZusatzdatenPersonenTyp getZusatzdaten() {
        return zusatzdaten;
    }

    /**
     * Legt den Wert der zusatzdaten-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ZusatzdatenPersonenTyp }
     *     
     */
    public void setZusatzdaten(ZusatzdatenPersonenTyp value) {
        this.zusatzdaten = value;
    }

}
