
package at.gv.util.xsd.ersb.personendata1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ersb.simpletypes.AdressTyp;


/**
 * entspricht TypedPostalAddressType
 * 
 * <p>Java-Klasse für TypisiertePostAdresseTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="TypisiertePostAdresseTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://statistik.at/namespace/ersb/persondata/1#}AbstractAddressType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{http://statistik.at/namespace/ersb/persondata/1#}PostAdresse"/>
 *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}Typ"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://statistik.at/namespace/ersb/1#}ErsbAttributes"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TypisiertePostAdresseTyp", propOrder = {
    "postAdresse",
    "typ"
})
public class TypisiertePostAdresseTyp
    extends AbstractAddressType
{

    @XmlElement(name = "PostAdresse")
    protected PostAdresseTyp postAdresse;
    @XmlElement(name = "Typ", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    @XmlSchemaType(name = "string")
    protected AdressTyp typ;
    @XmlAttribute(name = "aktion", namespace = "http://statistik.at/namespace/ersb/1#")
    protected String aktion;

    /**
     * Ruft den Wert der postAdresse-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PostAdresseTyp }
     *     
     */
    public PostAdresseTyp getPostAdresse() {
        return postAdresse;
    }

    /**
     * Legt den Wert der postAdresse-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PostAdresseTyp }
     *     
     */
    public void setPostAdresse(PostAdresseTyp value) {
        this.postAdresse = value;
    }

    /**
     * Ruft den Wert der typ-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link AdressTyp }
     *     
     */
    public AdressTyp getTyp() {
        return typ;
    }

    /**
     * Legt den Wert der typ-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressTyp }
     *     
     */
    public void setTyp(AdressTyp value) {
        this.typ = value;
    }

    /**
     * Ruft den Wert der aktion-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktion() {
        return aktion;
    }

    /**
     * Legt den Wert der aktion-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktion(String value) {
        this.aktion = value;
    }

}
