
package at.gv.util.xsd.mis.usp_v2.eai.common;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für ActionType.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="ActionType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="REQUEST_TOKEN"/&gt;
 *     &lt;enumeration value="CREATE_MANDATE"/&gt;
 *     &lt;enumeration value="TERMINATE_MANDATE"/&gt;
 *     &lt;enumeration value="SYNC_CREATE"/&gt;
 *     &lt;enumeration value="SYNC_TERMINATE"/&gt;
 *     &lt;enumeration value="COMMIT_CREATE"/&gt;
 *     &lt;enumeration value="COMMIT_TERMINATE"/&gt;
 *     &lt;enumeration value="ROLLBACK_CREATE"/&gt;
 *     &lt;enumeration value="ROLLBACK_TERMINATE"/&gt;
 *     &lt;enumeration value="NOTIFY_SUCCESS_CREATE"/&gt;
 *     &lt;enumeration value="NOTIFY_SUCCESS_TERMINATE"/&gt;
 *     &lt;enumeration value="NOTIFY_ROLLBACK_CREATE"/&gt;
 *     &lt;enumeration value="NOTIFY_ROLLBACK_TERMINATE"/&gt;
 *     &lt;enumeration value="NOOP"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "ActionType")
@XmlEnum
public enum ActionType {

    REQUEST_TOKEN,
    CREATE_MANDATE,
    TERMINATE_MANDATE,
    SYNC_CREATE,
    SYNC_TERMINATE,
    COMMIT_CREATE,
    COMMIT_TERMINATE,
    ROLLBACK_CREATE,
    ROLLBACK_TERMINATE,
    NOTIFY_SUCCESS_CREATE,
    NOTIFY_SUCCESS_TERMINATE,
    NOTIFY_ROLLBACK_CREATE,
    NOTIFY_ROLLBACK_TERMINATE,
    NOOP;

    public String value() {
        return name();
    }

    public static ActionType fromValue(String v) {
        return valueOf(v);
    }

}
