
package at.gv.util.xsd.mis.usp_v2.eai.syncmsgs;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{http://eai.brz.gv.at/services/vdds/sync-msgs}SearchFilter" maxOccurs="2"/&gt;
 *         &lt;element ref="{http://eai.brz.gv.at/services/vdds/sync-msgs}OutputFilter" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="variantType" type="{http://www.w3.org/2001/XMLSchema}string" /&gt;
 *       &lt;attribute name="version" type="{http://www.w3.org/2001/XMLSchema}string" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "searchFilter",
    "outputFilter"
})
@XmlRootElement(name = "ListMandatesRequest")
public class ListMandatesRequest {

    @XmlElementRef(name = "SearchFilter", namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", type = JAXBElement.class)
    protected List<JAXBElement<? extends FilterType>> searchFilter;
    @XmlElementRef(name = "OutputFilter", namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", type = JAXBElement.class, required = false)
    protected JAXBElement<? extends OutputFilterType> outputFilter;
    @XmlAttribute(name = "variantType")
    protected String variantType;
    @XmlAttribute(name = "version")
    protected String version;

    /**
     * Gets the value of the searchFilter property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the searchFilter property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSearchFilter().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link PaginationFilter }{@code >}
     * {@link JAXBElement }{@code <}{@link FilterType }{@code >}
     * {@link JAXBElement }{@code <}{@link MandateAttributesSearchFilterType }{@code >}
     * {@link JAXBElement }{@code <}{@link MandateIDSearchFilterType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends FilterType>> getSearchFilter() {
        if (searchFilter == null) {
            searchFilter = new ArrayList<JAXBElement<? extends FilterType>>();
        }
        return this.searchFilter;
    }

    /**
     * Ruft den Wert der outputFilter-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link ProcessTypeOutputFilter }{@code >}
     *     {@link JAXBElement }{@code <}{@link ListReferencedMandatesOutputFilter }{@code >}
     *     {@link JAXBElement }{@code <}{@link OutputFilterType }{@code >}
     *     
     */
    public JAXBElement<? extends OutputFilterType> getOutputFilter() {
        return outputFilter;
    }

    /**
     * Legt den Wert der outputFilter-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link ProcessTypeOutputFilter }{@code >}
     *     {@link JAXBElement }{@code <}{@link ListReferencedMandatesOutputFilter }{@code >}
     *     {@link JAXBElement }{@code <}{@link OutputFilterType }{@code >}
     *     
     */
    public void setOutputFilter(JAXBElement<? extends OutputFilterType> value) {
        this.outputFilter = value;
    }

    /**
     * Ruft den Wert der variantType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVariantType() {
        return variantType;
    }

    /**
     * Legt den Wert der variantType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVariantType(String value) {
        this.variantType = value;
    }

    /**
     * Ruft den Wert der version-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Legt den Wert der version-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

}
