
package at.gv.util.xsd.mis.usp_v2.eai.syncmsgs;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;
import at.gv.util.xsd.mis.usp_v2.mandates.Mandator;
import at.gv.util.xsd.mis.usp_v2.mandates.ParameterisedDescriptionType;
import at.gv.util.xsd.mis.usp_v2.mandates.PropertiesType;
import at.gv.util.xsd.mis.usp_v2.mandates.Representative;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MandateId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="MandateType" type="{http://reference.e-government.gv.at/namespace/mandates/20040701#}TextualDescriptionType" minOccurs="0"/&gt;
 *         &lt;element name="MandateText" type="{http://reference.e-government.gv.at/namespace/mandates/20040701#}ParameterisedDescriptionType" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Mandator" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Representative" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Properties" minOccurs="0"/&gt;
 *         &lt;element name="ActivationTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *         &lt;element name="TerminationTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "mandateId",
    "mandateType",
    "mandateText",
    "mandator",
    "representative",
    "properties",
    "activationTime",
    "terminationTime"
})
@XmlRootElement(name = "MandateAttributes")
public class MandateAttributes {

    @XmlElement(name = "MandateId")
    protected String mandateId;
    @XmlElement(name = "MandateType")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String mandateType;
    @XmlElement(name = "MandateText")
    protected ParameterisedDescriptionType mandateText;
    @XmlElement(name = "Mandator", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#")
    protected Mandator mandator;
    @XmlElement(name = "Representative", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#")
    protected Representative representative;
    @XmlElement(name = "Properties", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#")
    protected PropertiesType properties;
    @XmlElement(name = "ActivationTime")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar activationTime;
    @XmlElement(name = "TerminationTime")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar terminationTime;

    /**
     * Ruft den Wert der mandateId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMandateId() {
        return mandateId;
    }

    /**
     * Legt den Wert der mandateId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMandateId(String value) {
        this.mandateId = value;
    }

    /**
     * Ruft den Wert der mandateType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMandateType() {
        return mandateType;
    }

    /**
     * Legt den Wert der mandateType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMandateType(String value) {
        this.mandateType = value;
    }

    /**
     * Ruft den Wert der mandateText-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ParameterisedDescriptionType }
     *     
     */
    public ParameterisedDescriptionType getMandateText() {
        return mandateText;
    }

    /**
     * Legt den Wert der mandateText-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ParameterisedDescriptionType }
     *     
     */
    public void setMandateText(ParameterisedDescriptionType value) {
        this.mandateText = value;
    }

    /**
     * personal data defining the mandator
     * 			
     * 
     * @return
     *     possible object is
     *     {@link Mandator }
     *     
     */
    public Mandator getMandator() {
        return mandator;
    }

    /**
     * Legt den Wert der mandator-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Mandator }
     *     
     */
    public void setMandator(Mandator value) {
        this.mandator = value;
    }

    /**
     * personal data defining the representative
     * 			
     * 
     * @return
     *     possible object is
     *     {@link Representative }
     *     
     */
    public Representative getRepresentative() {
        return representative;
    }

    /**
     * Legt den Wert der representative-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Representative }
     *     
     */
    public void setRepresentative(Representative value) {
        this.representative = value;
    }

    /**
     * element contains arbitrary properties of a mandate
     * 			
     * 
     * @return
     *     possible object is
     *     {@link PropertiesType }
     *     
     */
    public PropertiesType getProperties() {
        return properties;
    }

    /**
     * Legt den Wert der properties-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PropertiesType }
     *     
     */
    public void setProperties(PropertiesType value) {
        this.properties = value;
    }

    /**
     * Ruft den Wert der activationTime-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getActivationTime() {
        return activationTime;
    }

    /**
     * Legt den Wert der activationTime-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setActivationTime(XMLGregorianCalendar value) {
        this.activationTime = value;
    }

    /**
     * Ruft den Wert der terminationTime-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTerminationTime() {
        return terminationTime;
    }

    /**
     * Legt den Wert der terminationTime-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTerminationTime(XMLGregorianCalendar value) {
        this.terminationTime = value;
    }

}
