
package at.gv.util.xsd.mis.usp_v2.eai.syncmsgs;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.mis.usp_v2.eai.token.ModificationTokenType;
import at.gv.util.xsd.mis.usp_v2.mandates.Mandate;


/**
 * <p>Java-Klasse für MandateRequestType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="MandateRequestType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{http://eai.brz.gv.at/services/vdds/token}ModificationToken"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Mandate"/&gt;
 *         &lt;element ref="{http://eai.brz.gv.at/services/vdds/sync-msgs}TextProperties" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MandateRequestType", propOrder = {
    "modificationToken",
    "mandate",
    "textProperties"
})
public class MandateRequestType {

    @XmlElement(name = "ModificationToken", namespace = "http://eai.brz.gv.at/services/vdds/token", required = true)
    protected ModificationTokenType modificationToken;
    @XmlElement(name = "Mandate", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#", required = true)
    protected Mandate mandate;
    @XmlElement(name = "TextProperties")
    protected TextProperties textProperties;

    /**
     * Ruft den Wert der modificationToken-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ModificationTokenType }
     *     
     */
    public ModificationTokenType getModificationToken() {
        return modificationToken;
    }

    /**
     * Legt den Wert der modificationToken-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ModificationTokenType }
     *     
     */
    public void setModificationToken(ModificationTokenType value) {
        this.modificationToken = value;
    }

    /**
     * electronic mandate
     * 
     * @return
     *     possible object is
     *     {@link Mandate }
     *     
     */
    public Mandate getMandate() {
        return mandate;
    }

    /**
     * Legt den Wert der mandate-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Mandate }
     *     
     */
    public void setMandate(Mandate value) {
        this.mandate = value;
    }

    /**
     * Ruft den Wert der textProperties-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link TextProperties }
     *     
     */
    public TextProperties getTextProperties() {
        return textProperties;
    }

    /**
     * Legt den Wert der textProperties-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link TextProperties }
     *     
     */
    public void setTextProperties(TextProperties value) {
        this.textProperties = value;
    }

}
