
package at.gv.util.xsd.mis.usp_v2.eai.syncmsgs;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;
import at.gv.util.xsd.mis.usp_v2.eai.common.ReferableResultType;
import at.gv.util.xsd.mis.usp_v2.persondata.IdentificationType;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.mis.usp_v2.eai.syncmsgs package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SearchCriteria_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "SearchCriteria");
    private final static QName _CreateMandateAck_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "CreateMandateAck");
    private final static QName _Result_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "Result");
    private final static QName _CreateMandateRequest_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "CreateMandateRequest");
    private final static QName _SearchFilter_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "SearchFilter");
    private final static QName _OutputFilter_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "OutputFilter");
    private final static QName _ListMandatesResponse_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "ListMandatesResponse");
    private final static QName _ListReferencedMandatesOutputFilter_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "ListReferencedMandatesOutputFilter");
    private final static QName _MandateAttributesSearchFilter_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "MandateAttributesSearchFilter");
    private final static QName _MandateIDSearchFilter_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "MandateIDSearchFilter");
    private final static QName _MandateList_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "MandateList");
    private final static QName _SearchResult_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "SearchResult");
    private final static QName _PaginationFilter_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "PaginationFilter");
    private final static QName _ProcessTypeOutputFilter_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "ProcessTypeOutputFilter");
    private final static QName _ReferencedMandatesResult_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "ReferencedMandatesResult");
    private final static QName _TerminateMandateAck_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "TerminateMandateAck");
    private final static QName _TerminateMandateRequest_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "TerminateMandateRequest");
    private final static QName _SearchCriteriaTypeActivationRange_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "ActivationRange");
    private final static QName _SearchCriteriaTypeMandateType_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "MandateType");
    private final static QName _SearchCriteriaTypeMandatorID_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "MandatorID");
    private final static QName _SearchCriteriaTypeRepresentativeID_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "RepresentativeID");
    private final static QName _SearchCriteriaTypeTerminationRange_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "TerminationRange");
    private final static QName _SearchCriteriaTypeValidFromTo_QNAME = new QName("http://eai.brz.gv.at/services/vdds/sync-msgs", "ValidFromTo");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.mis.usp_v2.eai.syncmsgs
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TextProperties }
     * 
     */
    public TextProperties createTextProperties() {
        return new TextProperties();
    }

    /**
     * Create an instance of {@link SimplePath }
     * 
     */
    public SimplePath createSimplePath() {
        return new SimplePath();
    }

    /**
     * Create an instance of {@link SearchCriteriaType }
     * 
     */
    public SearchCriteriaType createSearchCriteriaType() {
        return new SearchCriteriaType();
    }

    /**
     * Create an instance of {@link CreateMandateAsyncResponse }
     * 
     */
    public CreateMandateAsyncResponse createCreateMandateAsyncResponse() {
        return new CreateMandateAsyncResponse();
    }

    /**
     * Create an instance of {@link MandateRequestType }
     * 
     */
    public MandateRequestType createMandateRequestType() {
        return new MandateRequestType();
    }

    /**
     * Create an instance of {@link ListMandatesRequest }
     * 
     */
    public ListMandatesRequest createListMandatesRequest() {
        return new ListMandatesRequest();
    }

    /**
     * Create an instance of {@link FilterType }
     * 
     */
    public FilterType createFilterType() {
        return new FilterType();
    }

    /**
     * Create an instance of {@link OutputFilterType }
     * 
     */
    public OutputFilterType createOutputFilterType() {
        return new OutputFilterType();
    }

    /**
     * Create an instance of {@link ListMandatesResponseType }
     * 
     */
    public ListMandatesResponseType createListMandatesResponseType() {
        return new ListMandatesResponseType();
    }

    /**
     * Create an instance of {@link ListReferencedMandatesOutputFilter }
     * 
     */
    public ListReferencedMandatesOutputFilter createListReferencedMandatesOutputFilter() {
        return new ListReferencedMandatesOutputFilter();
    }

    /**
     * Create an instance of {@link MandateAttributes }
     * 
     */
    public MandateAttributes createMandateAttributes() {
        return new MandateAttributes();
    }

    /**
     * Create an instance of {@link MandateAttributesSearchFilterType }
     * 
     */
    public MandateAttributesSearchFilterType createMandateAttributesSearchFilterType() {
        return new MandateAttributesSearchFilterType();
    }

    /**
     * Create an instance of {@link MandateIDSearchFilterType }
     * 
     */
    public MandateIDSearchFilterType createMandateIDSearchFilterType() {
        return new MandateIDSearchFilterType();
    }

    /**
     * Create an instance of {@link MandateList }
     * 
     */
    public MandateList createMandateList() {
        return new MandateList();
    }

    /**
     * Create an instance of {@link Pagination }
     * 
     */
    public Pagination createPagination() {
        return new Pagination();
    }

    /**
     * Create an instance of {@link PaginationFilter }
     * 
     */
    public PaginationFilter createPaginationFilter() {
        return new PaginationFilter();
    }

    /**
     * Create an instance of {@link ProcessTypeOutputFilter }
     * 
     */
    public ProcessTypeOutputFilter createProcessTypeOutputFilter() {
        return new ProcessTypeOutputFilter();
    }

    /**
     * Create an instance of {@link ReferencedMandatesResult }
     * 
     */
    public ReferencedMandatesResult createReferencedMandatesResult() {
        return new ReferencedMandatesResult();
    }

    /**
     * Create an instance of {@link TerminateMandateAsyncResponse }
     * 
     */
    public TerminateMandateAsyncResponse createTerminateMandateAsyncResponse() {
        return new TerminateMandateAsyncResponse();
    }

    /**
     * Create an instance of {@link TextProperties.Property }
     * 
     */
    public TextProperties.Property createTextPropertiesProperty() {
        return new TextProperties.Property();
    }

    /**
     * Create an instance of {@link SearchCriteriaTestType }
     * 
     */
    public SearchCriteriaTestType createSearchCriteriaTestType() {
        return new SearchCriteriaTestType();
    }

    /**
     * Create an instance of {@link MandateListType }
     * 
     */
    public MandateListType createMandateListType() {
        return new MandateListType();
    }

    /**
     * Create an instance of {@link ReferencedMandatesType }
     * 
     */
    public ReferencedMandatesType createReferencedMandatesType() {
        return new ReferencedMandatesType();
    }

    /**
     * Create an instance of {@link TimeRangeType }
     * 
     */
    public TimeRangeType createTimeRangeType() {
        return new TimeRangeType();
    }

    /**
     * Create an instance of {@link SimplePath.PathTo }
     * 
     */
    public SimplePath.PathTo createSimplePathPathTo() {
        return new SimplePath.PathTo();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchCriteriaType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "SearchCriteria")
    public JAXBElement<SearchCriteriaType> createSearchCriteria(SearchCriteriaType value) {
        return new JAXBElement<SearchCriteriaType>(_SearchCriteria_QNAME, SearchCriteriaType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReferableResultType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "CreateMandateAck")
    public JAXBElement<ReferableResultType> createCreateMandateAck(ReferableResultType value) {
        return new JAXBElement<ReferableResultType>(_CreateMandateAck_QNAME, ReferableResultType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReferableResultType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "Result")
    public JAXBElement<ReferableResultType> createResult(ReferableResultType value) {
        return new JAXBElement<ReferableResultType>(_Result_QNAME, ReferableResultType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "CreateMandateRequest")
    public JAXBElement<MandateRequestType> createCreateMandateRequest(MandateRequestType value) {
        return new JAXBElement<MandateRequestType>(_CreateMandateRequest_QNAME, MandateRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FilterType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "SearchFilter")
    public JAXBElement<FilterType> createSearchFilter(FilterType value) {
        return new JAXBElement<FilterType>(_SearchFilter_QNAME, FilterType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputFilterType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "OutputFilter")
    public JAXBElement<OutputFilterType> createOutputFilter(OutputFilterType value) {
        return new JAXBElement<OutputFilterType>(_OutputFilter_QNAME, OutputFilterType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListMandatesResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "ListMandatesResponse")
    public JAXBElement<ListMandatesResponseType> createListMandatesResponse(ListMandatesResponseType value) {
        return new JAXBElement<ListMandatesResponseType>(_ListMandatesResponse_QNAME, ListMandatesResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListReferencedMandatesOutputFilter }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "ListReferencedMandatesOutputFilter", substitutionHeadNamespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", substitutionHeadName = "OutputFilter")
    public JAXBElement<ListReferencedMandatesOutputFilter> createListReferencedMandatesOutputFilter(ListReferencedMandatesOutputFilter value) {
        return new JAXBElement<ListReferencedMandatesOutputFilter>(_ListReferencedMandatesOutputFilter_QNAME, ListReferencedMandatesOutputFilter.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateAttributesSearchFilterType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "MandateAttributesSearchFilter", substitutionHeadNamespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", substitutionHeadName = "SearchFilter")
    public JAXBElement<MandateAttributesSearchFilterType> createMandateAttributesSearchFilter(MandateAttributesSearchFilterType value) {
        return new JAXBElement<MandateAttributesSearchFilterType>(_MandateAttributesSearchFilter_QNAME, MandateAttributesSearchFilterType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateIDSearchFilterType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "MandateIDSearchFilter", substitutionHeadNamespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", substitutionHeadName = "SearchFilter")
    public JAXBElement<MandateIDSearchFilterType> createMandateIDSearchFilter(MandateIDSearchFilterType value) {
        return new JAXBElement<MandateIDSearchFilterType>(_MandateIDSearchFilter_QNAME, MandateIDSearchFilterType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "MandateList", substitutionHeadNamespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", substitutionHeadName = "SearchResult")
    public JAXBElement<MandateList> createMandateList(MandateList value) {
        return new JAXBElement<MandateList>(_MandateList_QNAME, MandateList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "SearchResult")
    public JAXBElement<Object> createSearchResult(Object value) {
        return new JAXBElement<Object>(_SearchResult_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PaginationFilter }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "PaginationFilter", substitutionHeadNamespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", substitutionHeadName = "SearchFilter")
    public JAXBElement<PaginationFilter> createPaginationFilter(PaginationFilter value) {
        return new JAXBElement<PaginationFilter>(_PaginationFilter_QNAME, PaginationFilter.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessTypeOutputFilter }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "ProcessTypeOutputFilter", substitutionHeadNamespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", substitutionHeadName = "OutputFilter")
    public JAXBElement<ProcessTypeOutputFilter> createProcessTypeOutputFilter(ProcessTypeOutputFilter value) {
        return new JAXBElement<ProcessTypeOutputFilter>(_ProcessTypeOutputFilter_QNAME, ProcessTypeOutputFilter.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReferencedMandatesResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "ReferencedMandatesResult", substitutionHeadNamespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", substitutionHeadName = "SearchResult")
    public JAXBElement<ReferencedMandatesResult> createReferencedMandatesResult(ReferencedMandatesResult value) {
        return new JAXBElement<ReferencedMandatesResult>(_ReferencedMandatesResult_QNAME, ReferencedMandatesResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReferableResultType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "TerminateMandateAck")
    public JAXBElement<ReferableResultType> createTerminateMandateAck(ReferableResultType value) {
        return new JAXBElement<ReferableResultType>(_TerminateMandateAck_QNAME, ReferableResultType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "TerminateMandateRequest")
    public JAXBElement<MandateRequestType> createTerminateMandateRequest(MandateRequestType value) {
        return new JAXBElement<MandateRequestType>(_TerminateMandateRequest_QNAME, MandateRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TimeRangeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "ActivationRange", scope = SearchCriteriaType.class)
    public JAXBElement<TimeRangeType> createSearchCriteriaTypeActivationRange(TimeRangeType value) {
        return new JAXBElement<TimeRangeType>(_SearchCriteriaTypeActivationRange_QNAME, TimeRangeType.class, SearchCriteriaType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "MandateType", scope = SearchCriteriaType.class)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createSearchCriteriaTypeMandateType(String value) {
        return new JAXBElement<String>(_SearchCriteriaTypeMandateType_QNAME, String.class, SearchCriteriaType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "MandatorID", scope = SearchCriteriaType.class)
    public JAXBElement<IdentificationType> createSearchCriteriaTypeMandatorID(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_SearchCriteriaTypeMandatorID_QNAME, IdentificationType.class, SearchCriteriaType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "RepresentativeID", scope = SearchCriteriaType.class)
    public JAXBElement<IdentificationType> createSearchCriteriaTypeRepresentativeID(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_SearchCriteriaTypeRepresentativeID_QNAME, IdentificationType.class, SearchCriteriaType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TimeRangeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "TerminationRange", scope = SearchCriteriaType.class)
    public JAXBElement<TimeRangeType> createSearchCriteriaTypeTerminationRange(TimeRangeType value) {
        return new JAXBElement<TimeRangeType>(_SearchCriteriaTypeTerminationRange_QNAME, TimeRangeType.class, SearchCriteriaType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TimeRangeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/sync-msgs", name = "ValidFromTo", scope = SearchCriteriaType.class)
    public JAXBElement<TimeRangeType> createSearchCriteriaTypeValidFromTo(TimeRangeType value) {
        return new JAXBElement<TimeRangeType>(_SearchCriteriaTypeValidFromTo_QNAME, TimeRangeType.class, SearchCriteriaType.class, value);
    }

}
