
package at.gv.util.xsd.mis.usp_v2.eai.syncmsgs;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für ReferenceTypes.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="ReferenceTypes"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="Representative"/&gt;
 *     &lt;enumeration value="Mandator"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "ReferenceTypes")
@XmlEnum
public enum ReferenceTypes {

    @XmlEnumValue("Representative")
    REPRESENTATIVE("Representative"),
    @XmlEnumValue("Mandator")
    MANDATOR("Mandator");
    private final String value;

    ReferenceTypes(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ReferenceTypes fromValue(String v) {
        for (ReferenceTypes c: ReferenceTypes.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
