
package at.gv.util.xsd.mis.usp_v2.eai.syncmsgs;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.mis.usp_v2.mandates.Mandate;
import at.gv.util.xsd.mis.usp_v2.mandates.Mandator;
import at.gv.util.xsd.mis.usp_v2.mandates.Representative;


/**
 * <p>Java-Klasse für ReferencedMandatesType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ReferencedMandatesType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;choice&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Mandator"/&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Representative"/&gt;
 *         &lt;/choice&gt;
 *         &lt;choice&gt;
 *           &lt;element ref="{http://eai.brz.gv.at/services/vdds/sync-msgs}MandateAttributes" maxOccurs="unbounded"/&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Mandate" maxOccurs="unbounded"/&gt;
 *         &lt;/choice&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ReferencedMandatesType", propOrder = {
    "mandator",
    "representative",
    "mandateAttributes",
    "mandate"
})
public class ReferencedMandatesType {

    @XmlElement(name = "Mandator", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#")
    protected Mandator mandator;
    @XmlElement(name = "Representative", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#")
    protected Representative representative;
    @XmlElement(name = "MandateAttributes")
    protected List<MandateAttributes> mandateAttributes;
    @XmlElement(name = "Mandate", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#")
    protected List<Mandate> mandate;

    /**
     * personal data defining the mandator
     * 			
     * 
     * @return
     *     possible object is
     *     {@link Mandator }
     *     
     */
    public Mandator getMandator() {
        return mandator;
    }

    /**
     * Legt den Wert der mandator-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Mandator }
     *     
     */
    public void setMandator(Mandator value) {
        this.mandator = value;
    }

    /**
     * personal data defining the representative
     * 			
     * 
     * @return
     *     possible object is
     *     {@link Representative }
     *     
     */
    public Representative getRepresentative() {
        return representative;
    }

    /**
     * Legt den Wert der representative-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Representative }
     *     
     */
    public void setRepresentative(Representative value) {
        this.representative = value;
    }

    /**
     * Gets the value of the mandateAttributes property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mandateAttributes property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMandateAttributes().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MandateAttributes }
     * 
     * 
     */
    public List<MandateAttributes> getMandateAttributes() {
        if (mandateAttributes == null) {
            mandateAttributes = new ArrayList<MandateAttributes>();
        }
        return this.mandateAttributes;
    }

    /**
     * electronic mandate Gets the value of the mandate property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mandate property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMandate().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Mandate }
     * 
     * 
     */
    public List<Mandate> getMandate() {
        if (mandate == null) {
            mandate = new ArrayList<Mandate>();
        }
        return this.mandate;
    }

}
