
package at.gv.util.xsd.mis.usp_v2.eai.token;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.mis.usp_v2.eai.token package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ModificationToken_QNAME = new QName("http://eai.brz.gv.at/services/vdds/token", "ModificationToken");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.mis.usp_v2.eai.token
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ModificationTokenType }
     * 
     */
    public ModificationTokenType createModificationTokenType() {
        return new ModificationTokenType();
    }

    /**
     * Create an instance of {@link ModificationTokenRequest }
     * 
     */
    public ModificationTokenRequest createModificationTokenRequest() {
        return new ModificationTokenRequest();
    }

    /**
     * Create an instance of {@link ModificationTokenResponse }
     * 
     */
    public ModificationTokenResponse createModificationTokenResponse() {
        return new ModificationTokenResponse();
    }

    /**
     * Create an instance of {@link ModificationTokenResultType }
     * 
     */
    public ModificationTokenResultType createModificationTokenResultType() {
        return new ModificationTokenResultType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ModificationTokenType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://eai.brz.gv.at/services/vdds/token", name = "ModificationToken")
    public JAXBElement<ModificationTokenType> createModificationToken(ModificationTokenType value) {
        return new JAXBElement<ModificationTokenType>(_ModificationToken_QNAME, ModificationTokenType.class, null, value);
    }

}
