
package at.gv.util.xsd.mis.usp_v2.mandates;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.mis.usp_v2.persondata.CorporateBodyType;
import at.gv.util.xsd.mis.usp_v2.persondata.PhysicalPersonType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CorporateBody"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}PhysicalPerson"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "corporateBody",
    "physicalPerson"
})
@XmlRootElement(name = "Mandator")
public class Mandator {

    @XmlElement(name = "CorporateBody", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#")
    protected CorporateBodyType corporateBody;
    @XmlElement(name = "PhysicalPerson", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#")
    protected PhysicalPersonType physicalPerson;

    /**
     * element of corporate body type, derived from Person
     * 
     * @return
     *     possible object is
     *     {@link CorporateBodyType }
     *     
     */
    public CorporateBodyType getCorporateBody() {
        return corporateBody;
    }

    /**
     * Legt den Wert der corporateBody-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link CorporateBodyType }
     *     
     */
    public void setCorporateBody(CorporateBodyType value) {
        this.corporateBody = value;
    }

    /**
     * element of physical person type, dreived from Person (abstract)
     * 
     * @return
     *     possible object is
     *     {@link PhysicalPersonType }
     *     
     */
    public PhysicalPersonType getPhysicalPerson() {
        return physicalPerson;
    }

    /**
     * Legt den Wert der physicalPerson-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PhysicalPersonType }
     *     
     */
    public void setPhysicalPerson(PhysicalPersonType value) {
        this.physicalPerson = value;
    }

}
