
package at.gv.util.xsd.mis.usp_v2.mandates;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * complex type for a parameterised description
 * 			
 * 
 * <p>Java-Klasse für ParameterisedDescriptionType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ParameterisedDescriptionType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}ParameterisedText"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}ParameterDefinition" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ParameterisedDescriptionType", propOrder = {
    "parameterisedText",
    "parameterDefinition"
})
public class ParameterisedDescriptionType {

    @XmlElement(name = "ParameterisedText", required = true)
    protected ParameterisedTextType parameterisedText;
    @XmlElement(name = "ParameterDefinition")
    protected ParameterDefinition parameterDefinition;

    /**
     * element contains parameterised text and the
     * 				definition of the annotation
     * 
     * @return
     *     possible object is
     *     {@link ParameterisedTextType }
     *     
     */
    public ParameterisedTextType getParameterisedText() {
        return parameterisedText;
    }

    /**
     * Legt den Wert der parameterisedText-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ParameterisedTextType }
     *     
     */
    public void setParameterisedText(ParameterisedTextType value) {
        this.parameterisedText = value;
    }

    /**
     * element contains the definition of parameters used
     * 			
     * 
     * @return
     *     possible object is
     *     {@link ParameterDefinition }
     *     
     */
    public ParameterDefinition getParameterDefinition() {
        return parameterDefinition;
    }

    /**
     * Legt den Wert der parameterDefinition-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ParameterDefinition }
     *     
     */
    public void setParameterDefinition(ParameterDefinition value) {
        this.parameterDefinition = value;
    }

}
