
package at.gv.util.xsd.mis.usp_v2.persondata;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;choice&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CompactCorporateBody"/&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CompactPhysicalPerson"/&gt;
 *         &lt;/choice&gt;
 *         &lt;choice maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CompactPostalAddress"/&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}InternetAddress"/&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}TelephoneAddress"/&gt;
 *         &lt;/choice&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "compactCorporateBody",
    "compactPhysicalPerson",
    "compactPostalAddressOrInternetAddressOrTelephoneAddress"
})
@XmlRootElement(name = "CompactPersonData")
public class CompactPersonData {

    @XmlElement(name = "CompactCorporateBody")
    protected CompactCorporateBodyType compactCorporateBody;
    @XmlElement(name = "CompactPhysicalPerson")
    protected CompactPhysicalPersonType compactPhysicalPerson;
    @XmlElements({
        @XmlElement(name = "CompactPostalAddress", type = CompactPostalAddressType.class),
        @XmlElement(name = "InternetAddress", type = InternetAddressType.class),
        @XmlElement(name = "TelephoneAddress", type = TelephoneAddressType.class)
    })
    protected List<AbstractAddressType> compactPostalAddressOrInternetAddressOrTelephoneAddress;

    /**
     * element of corporate body type, derived from Person
     * 
     * @return
     *     possible object is
     *     {@link CompactCorporateBodyType }
     *     
     */
    public CompactCorporateBodyType getCompactCorporateBody() {
        return compactCorporateBody;
    }

    /**
     * Legt den Wert der compactCorporateBody-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link CompactCorporateBodyType }
     *     
     */
    public void setCompactCorporateBody(CompactCorporateBodyType value) {
        this.compactCorporateBody = value;
    }

    /**
     * element of physical person type, dreived from Person (abstract)
     * 
     * @return
     *     possible object is
     *     {@link CompactPhysicalPersonType }
     *     
     */
    public CompactPhysicalPersonType getCompactPhysicalPerson() {
        return compactPhysicalPerson;
    }

    /**
     * Legt den Wert der compactPhysicalPerson-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link CompactPhysicalPersonType }
     *     
     */
    public void setCompactPhysicalPerson(CompactPhysicalPersonType value) {
        this.compactPhysicalPerson = value;
    }

    /**
     * Gets the value of the compactPostalAddressOrInternetAddressOrTelephoneAddress property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the compactPostalAddressOrInternetAddressOrTelephoneAddress property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCompactPostalAddressOrInternetAddressOrTelephoneAddress().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CompactPostalAddressType }
     * {@link InternetAddressType }
     * {@link TelephoneAddressType }
     * 
     * 
     */
    public List<AbstractAddressType> getCompactPostalAddressOrInternetAddressOrTelephoneAddress() {
        if (compactPostalAddressOrInternetAddressOrTelephoneAddress == null) {
            compactPostalAddressOrInternetAddressOrTelephoneAddress = new ArrayList<AbstractAddressType>();
        }
        return this.compactPostalAddressOrInternetAddressOrTelephoneAddress;
    }

}
