
package at.gv.util.xsd.mis.usp_v2.persondata;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="TypeOfRelation" type="{http://reference.e-government.gv.at/namespace/persondata/20020228#}RelationType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}PhysicalPerson"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "typeOfRelation",
    "physicalPerson"
})
@XmlRootElement(name = "relatedPerson")
public class RelatedPerson {

    @XmlElement(name = "TypeOfRelation")
    @XmlSchemaType(name = "anySimpleType")
    protected List<String> typeOfRelation;
    @XmlElement(name = "PhysicalPerson", required = true)
    protected PhysicalPersonType physicalPerson;

    /**
     * Gets the value of the typeOfRelation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the typeOfRelation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTypeOfRelation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getTypeOfRelation() {
        if (typeOfRelation == null) {
            typeOfRelation = new ArrayList<String>();
        }
        return this.typeOfRelation;
    }

    /**
     * element of physical person type, dreived from Person (abstract)
     * 
     * @return
     *     possible object is
     *     {@link PhysicalPersonType }
     *     
     */
    public PhysicalPersonType getPhysicalPerson() {
        return physicalPerson;
    }

    /**
     * Legt den Wert der physicalPerson-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PhysicalPersonType }
     *     
     */
    public void setPhysicalPerson(PhysicalPersonType value) {
        this.physicalPerson = value;
    }

}
