
package at.gv.util.xsd.mis.usp_v2.persondata;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * formated number or set of telephone number parts
 * 
 * <p>Java-Klasse für TelcomNumberType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="TelcomNumberType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}FormattedNumber"/&gt;
 *         &lt;group ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}TelcomNumberGroup"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TelcomNumberType", propOrder = {
    "formattedNumber",
    "internationalCountryCode",
    "nationalNumber",
    "areaCityCode",
    "subscriberNumber",
    "extension"
})
@XmlSeeAlso({
    MobileTelcomNumberType.class
})
public class TelcomNumberType {

    @XmlElement(name = "FormattedNumber")
    protected String formattedNumber;
    @XmlElement(name = "InternationalCountryCode")
    protected String internationalCountryCode;
    @XmlElement(name = "NationalNumber")
    protected String nationalNumber;
    @XmlElement(name = "AreaCityCode")
    protected String areaCityCode;
    @XmlElement(name = "SubscriberNumber")
    protected String subscriberNumber;
    @XmlElement(name = "Extension")
    protected String extension;

    /**
     * Complete number, ready formated - e.g. +43 1 5131345 4664  compare FormatierteNummer
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFormattedNumber() {
        return formattedNumber;
    }

    /**
     * Legt den Wert der formattedNumber-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFormattedNumber(String value) {
        this.formattedNumber = value;
    }

    /**
     * compare InternationalerLaendercode
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInternationalCountryCode() {
        return internationalCountryCode;
    }

    /**
     * Legt den Wert der internationalCountryCode-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInternationalCountryCode(String value) {
        this.internationalCountryCode = value;
    }

    /**
     * compare NationalNummer
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNationalNumber() {
        return nationalNumber;
    }

    /**
     * Legt den Wert der nationalNumber-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNationalNumber(String value) {
        this.nationalNumber = value;
    }

    /**
     * compare Vorwahl
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAreaCityCode() {
        return areaCityCode;
    }

    /**
     * Legt den Wert der areaCityCode-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAreaCityCode(String value) {
        this.areaCityCode = value;
    }

    /**
     * compare Anschlussnummer
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubscriberNumber() {
        return subscriberNumber;
    }

    /**
     * Legt den Wert der subscriberNumber-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubscriberNumber(String value) {
        this.subscriberNumber = value;
    }

    /**
     * compare Klappe
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExtension() {
        return extension;
    }

    /**
     * Legt den Wert der extension-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExtension(String value) {
        this.extension = value;
    }

}
