
package at.gv.util.xsd.misstork;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.misstork package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ReferenceValue_QNAME = new QName("http://reference.e-government.gv.at/namespace/misstork/20131126/xsd", "ReferenceValue");
    private final static QName _MandatorType_QNAME = new QName("http://reference.e-government.gv.at/namespace/misstork/20131126/xsd", "MandatorType");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.misstork
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link MisStorkRequest }
     * 
     */
    public MisStorkRequest createMisStorkRequest() {
        return new MisStorkRequest();
    }

    /**
     * Create an instance of {@link MisStorkResponse }
     * 
     */
    public MisStorkResponse createMisStorkResponse() {
        return new MisStorkResponse();
    }

    /**
     * Create an instance of {@link MisStorkError }
     * 
     */
    public MisStorkError createMisStorkError() {
        return new MisStorkError();
    }

    /**
     * Create an instance of {@link MisStorkRequest.Filters }
     * 
     */
    public MisStorkRequest.Filters createMisStorkRequestFilters() {
        return new MisStorkRequest.Filters();
    }

    /**
     * Create an instance of {@link MisStorkRequest.Mandator }
     * 
     */
    public MisStorkRequest.Mandator createMisStorkRequestMandator() {
        return new MisStorkRequest.Mandator();
    }

    /**
     * Create an instance of {@link MisStorkRequest.Representative }
     * 
     */
    public MisStorkRequest.Representative createMisStorkRequestRepresentative() {
        return new MisStorkRequest.Representative();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/misstork/20131126/xsd", name = "ReferenceValue")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createReferenceValue(String value) {
        return new JAXBElement<String>(_ReferenceValue_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/misstork/20131126/xsd", name = "MandatorType")
    public JAXBElement<String> createMandatorType(String value) {
        return new JAXBElement<String>(_MandatorType_QNAME, String.class, null, value);
    }

}
