
package at.gv.util.xsd.mms;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="bPK" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="bPKType" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="MandateIdentifiers" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence maxOccurs="unbounded"&gt;
 *                   &lt;element name="MandateIdentifier" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="transactionId" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "bpk",
    "bpkType",
    "mandateIdentifiers"
})
@XmlRootElement(name = "GetMandatesRequest")
public class GetMandatesRequest {

    @XmlElement(name = "bPK", required = true)
    protected String bpk;
    @XmlElement(name = "bPKType", required = true)
    protected String bpkType;
    @XmlElement(name = "MandateIdentifiers")
    protected GetMandatesRequest.MandateIdentifiers mandateIdentifiers;
    @XmlAttribute(name = "transactionId", required = true)
    @XmlSchemaType(name = "anySimpleType")
    protected String transactionId;

    /**
     * Ruft den Wert der bpk-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBPK() {
        return bpk;
    }

    /**
     * Legt den Wert der bpk-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBPK(String value) {
        this.bpk = value;
    }

    /**
     * Ruft den Wert der bpkType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBPKType() {
        return bpkType;
    }

    /**
     * Legt den Wert der bpkType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBPKType(String value) {
        this.bpkType = value;
    }

    /**
     * Ruft den Wert der mandateIdentifiers-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link GetMandatesRequest.MandateIdentifiers }
     *     
     */
    public GetMandatesRequest.MandateIdentifiers getMandateIdentifiers() {
        return mandateIdentifiers;
    }

    /**
     * Legt den Wert der mandateIdentifiers-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link GetMandatesRequest.MandateIdentifiers }
     *     
     */
    public void setMandateIdentifiers(GetMandatesRequest.MandateIdentifiers value) {
        this.mandateIdentifiers = value;
    }

    /**
     * Ruft den Wert der transactionId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTransactionId() {
        return transactionId;
    }

    /**
     * Legt den Wert der transactionId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTransactionId(String value) {
        this.transactionId = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence maxOccurs="unbounded"&gt;
     *         &lt;element name="MandateIdentifier" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "mandateIdentifier"
    })
    public static class MandateIdentifiers {

        @XmlElement(name = "MandateIdentifier", required = true)
        protected List<String> mandateIdentifier;

        /**
         * Gets the value of the mandateIdentifier property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the mandateIdentifier property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getMandateIdentifier().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link String }
         * 
         * 
         */
        public List<String> getMandateIdentifier() {
            if (mandateIdentifier == null) {
                mandateIdentifier = new ArrayList<String>();
            }
            return this.mandateIdentifier;
        }

    }

}
