
package at.gv.util.xsd.mzs;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DeliveryResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryResponseType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/moazs10/app2mzs#}PartialSuccess"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/moazs10/app2mzs#}Success"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/moazs10/app2mzs#}Error"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryResponseType", propOrder = {
    "partialSuccess",
    "success",
    "error"
})
public class DeliveryResponseType {

    @XmlElement(name = "PartialSuccess")
    protected PartialSuccessType partialSuccess;
    @XmlElement(name = "Success")
    protected SuccessType success;
    @XmlElement(name = "Error")
    protected ErrorType error;

    /**
     * Gets the value of the partialSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link PartialSuccessType }
     *     
     */
    public PartialSuccessType getPartialSuccess() {
        return partialSuccess;
    }

    /**
     * Sets the value of the partialSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link PartialSuccessType }
     *     
     */
    public void setPartialSuccess(PartialSuccessType value) {
        this.partialSuccess = value;
    }

    /**
     * Gets the value of the success property.
     * 
     * @return
     *     possible object is
     *     {@link SuccessType }
     *     
     */
    public SuccessType getSuccess() {
        return success;
    }

    /**
     * Sets the value of the success property.
     * 
     * @param value
     *     allowed object is
     *     {@link SuccessType }
     *     
     */
    public void setSuccess(SuccessType value) {
        this.success = value;
    }

    /**
     * Gets the value of the error property.
     * 
     * @return
     *     possible object is
     *     {@link ErrorType }
     *     
     */
    public ErrorType getError() {
        return error;
    }

    /**
     * Sets the value of the error property.
     * 
     * @param value
     *     allowed object is
     *     {@link ErrorType }
     *     
     */
    public void setError(ErrorType value) {
        this.error = value;
    }

}
