
package at.gv.util.xsd.saml.protocol;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für RequestType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="RequestType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:oasis:names:tc:SAML:1.0:protocol}RequestAbstractType">
 *       &lt;choice>
 *         &lt;element ref="{urn:oasis:names:tc:SAML:1.0:protocol}Query"/>
 *         &lt;element ref="{urn:oasis:names:tc:SAML:1.0:protocol}SubjectQuery"/>
 *         &lt;element ref="{urn:oasis:names:tc:SAML:1.0:protocol}AuthenticationQuery"/>
 *         &lt;element ref="{urn:oasis:names:tc:SAML:1.0:protocol}AttributeQuery"/>
 *         &lt;element ref="{urn:oasis:names:tc:SAML:1.0:protocol}AuthorizationDecisionQuery"/>
 *         &lt;element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AssertionIDReference" maxOccurs="unbounded"/>
 *         &lt;element ref="{urn:oasis:names:tc:SAML:1.0:protocol}AssertionArtifact" maxOccurs="unbounded"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RequestType", propOrder = {
    "query",
    "subjectQuery",
    "authenticationQuery",
    "attributeQuery",
    "authorizationDecisionQuery",
    "assertionIDReference",
    "assertionArtifact"
})
public class RequestType
    extends RequestAbstractType
{

    @XmlElement(name = "Query")
    protected QueryAbstractType query;
    @XmlElement(name = "SubjectQuery")
    protected SubjectQueryAbstractType subjectQuery;
    @XmlElement(name = "AuthenticationQuery")
    protected AuthenticationQueryType authenticationQuery;
    @XmlElement(name = "AttributeQuery")
    protected AttributeQueryType attributeQuery;
    @XmlElement(name = "AuthorizationDecisionQuery")
    protected AuthorizationDecisionQueryType authorizationDecisionQuery;
    @XmlElement(name = "AssertionIDReference", namespace = "urn:oasis:names:tc:SAML:1.0:assertion")
    protected List<String> assertionIDReference;
    @XmlElement(name = "AssertionArtifact")
    protected List<String> assertionArtifact;

    /**
     * Ruft den Wert der query-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link QueryAbstractType }
     *     
     */
    public QueryAbstractType getQuery() {
        return query;
    }

    /**
     * Legt den Wert der query-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link QueryAbstractType }
     *     
     */
    public void setQuery(QueryAbstractType value) {
        this.query = value;
    }

    /**
     * Ruft den Wert der subjectQuery-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SubjectQueryAbstractType }
     *     
     */
    public SubjectQueryAbstractType getSubjectQuery() {
        return subjectQuery;
    }

    /**
     * Legt den Wert der subjectQuery-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SubjectQueryAbstractType }
     *     
     */
    public void setSubjectQuery(SubjectQueryAbstractType value) {
        this.subjectQuery = value;
    }

    /**
     * Ruft den Wert der authenticationQuery-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link AuthenticationQueryType }
     *     
     */
    public AuthenticationQueryType getAuthenticationQuery() {
        return authenticationQuery;
    }

    /**
     * Legt den Wert der authenticationQuery-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link AuthenticationQueryType }
     *     
     */
    public void setAuthenticationQuery(AuthenticationQueryType value) {
        this.authenticationQuery = value;
    }

    /**
     * Ruft den Wert der attributeQuery-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link AttributeQueryType }
     *     
     */
    public AttributeQueryType getAttributeQuery() {
        return attributeQuery;
    }

    /**
     * Legt den Wert der attributeQuery-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link AttributeQueryType }
     *     
     */
    public void setAttributeQuery(AttributeQueryType value) {
        this.attributeQuery = value;
    }

    /**
     * Ruft den Wert der authorizationDecisionQuery-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link AuthorizationDecisionQueryType }
     *     
     */
    public AuthorizationDecisionQueryType getAuthorizationDecisionQuery() {
        return authorizationDecisionQuery;
    }

    /**
     * Legt den Wert der authorizationDecisionQuery-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link AuthorizationDecisionQueryType }
     *     
     */
    public void setAuthorizationDecisionQuery(AuthorizationDecisionQueryType value) {
        this.authorizationDecisionQuery = value;
    }

    /**
     * Gets the value of the assertionIDReference property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the assertionIDReference property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAssertionIDReference().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getAssertionIDReference() {
        if (assertionIDReference == null) {
            assertionIDReference = new ArrayList<String>();
        }
        return this.assertionIDReference;
    }

    /**
     * Gets the value of the assertionArtifact property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the assertionArtifact property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAssertionArtifact().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getAssertionArtifact() {
        if (assertionArtifact == null) {
            assertionArtifact = new ArrayList<String>();
        }
        return this.assertionArtifact;
    }

}
