
package at.gv.util.xsd.szr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.szr.xmldsig.KeyValueType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PersonInfo" type="{urn:SZRServices}PersonInfoType"/>
 *         &lt;element name="KeyValue" type="{http://www.w3.org/2000/09/xmldsig#}KeyValueType" maxOccurs="unbounded"/>
 *         &lt;element name="InsertERnP" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "personInfo",
    "keyValue",
    "insertERnP"
})
@XmlRootElement(name = "GetIdentityLink")
public class GetIdentityLink {

    @XmlElement(name = "PersonInfo", required = true)
    protected PersonInfoType personInfo;
    @XmlElement(name = "KeyValue", required = true)
    protected List<KeyValueType> keyValue;
    @XmlElement(name = "InsertERnP")
    protected Boolean insertERnP;

    /**
     * Ruft den Wert der personInfo-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PersonInfoType }
     *     
     */
    public PersonInfoType getPersonInfo() {
        return personInfo;
    }

    /**
     * Legt den Wert der personInfo-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonInfoType }
     *     
     */
    public void setPersonInfo(PersonInfoType value) {
        this.personInfo = value;
    }

    /**
     * Gets the value of the keyValue property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the keyValue property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getKeyValue().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link KeyValueType }
     * 
     * 
     */
    public List<KeyValueType> getKeyValue() {
        if (keyValue == null) {
            keyValue = new ArrayList<KeyValueType>();
        }
        return this.keyValue;
    }

    /**
     * Ruft den Wert der insertERnP-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isInsertERnP() {
        return insertERnP;
    }

    /**
     * Legt den Wert der insertERnP-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setInsertERnP(Boolean value) {
        this.insertERnP = value;
    }

}
