
package at.gv.util.xsd.szr;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.szr package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SZRException_QNAME = new QName("urn:SZRServices", "SZRException");
    private final static QName _GetVersion_QNAME = new QName("urn:SZRServices", "GetVersion");
    private final static QName _PersonInfoTypeTravelDocument_QNAME = new QName("urn:SZRServices", "TravelDocument");
    private final static QName _PersonInfoTypeDateOfBirthWildcard_QNAME = new QName("urn:SZRServices", "DateOfBirthWildcard");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.szr
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetBPKKombiResponseType }
     * 
     */
    public GetBPKKombiResponseType createGetBPKKombiResponseType() {
        return new GetBPKKombiResponseType();
    }

    /**
     * Create an instance of {@link GetStammzahlResponse }
     * 
     */
    public GetStammzahlResponse createGetStammzahlResponse() {
        return new GetStammzahlResponse();
    }

    /**
     * Create an instance of {@link ValidateIdentityLinkResponse }
     * 
     */
    public ValidateIdentityLinkResponse createValidateIdentityLinkResponse() {
        return new ValidateIdentityLinkResponse();
    }

    /**
     * Create an instance of {@link GetBPKKombi }
     * 
     */
    public GetBPKKombi createGetBPKKombi() {
        return new GetBPKKombi();
    }

    /**
     * Create an instance of {@link GetBPKKombiRequestType }
     * 
     */
    public GetBPKKombiRequestType createGetBPKKombiRequestType() {
        return new GetBPKKombiRequestType();
    }

    /**
     * Create an instance of {@link GetIdentityLink }
     * 
     */
    public GetIdentityLink createGetIdentityLink() {
        return new GetIdentityLink();
    }

    /**
     * Create an instance of {@link PersonInfoType }
     * 
     */
    public PersonInfoType createPersonInfoType() {
        return new PersonInfoType();
    }

    /**
     * Create an instance of {@link ValidateIdentityLink }
     * 
     */
    public ValidateIdentityLink createValidateIdentityLink() {
        return new ValidateIdentityLink();
    }

    /**
     * Create an instance of {@link IdentityLinkType }
     * 
     */
    public IdentityLinkType createIdentityLinkType() {
        return new IdentityLinkType();
    }

    /**
     * Create an instance of {@link BasiszahlZuBPKResponse }
     * 
     */
    public BasiszahlZuBPKResponse createBasiszahlZuBPKResponse() {
        return new BasiszahlZuBPKResponse();
    }

    /**
     * Create an instance of {@link BasiszahlZuBPKReturnType }
     * 
     */
    public BasiszahlZuBPKReturnType createBasiszahlZuBPKReturnType() {
        return new BasiszahlZuBPKReturnType();
    }

    /**
     * Create an instance of {@link BasiszahlZuBPK }
     * 
     */
    public BasiszahlZuBPK createBasiszahlZuBPK() {
        return new BasiszahlZuBPK();
    }

    /**
     * Create an instance of {@link FremdBPKRequestType }
     * 
     */
    public FremdBPKRequestType createFremdBPKRequestType() {
        return new FremdBPKRequestType();
    }

    /**
     * Create an instance of {@link BPKzuBasiszahl }
     * 
     */
    public BPKzuBasiszahl createBPKzuBasiszahl() {
        return new BPKzuBasiszahl();
    }

    /**
     * Create an instance of {@link ZMRAnwendungsIntegration }
     * 
     */
    public ZMRAnwendungsIntegration createZMRAnwendungsIntegration() {
        return new ZMRAnwendungsIntegration();
    }

    /**
     * Create an instance of {@link GetBPKKombiResponse }
     * 
     */
    public GetBPKKombiResponse createGetBPKKombiResponse() {
        return new GetBPKKombiResponse();
    }

    /**
     * Create an instance of {@link SZRException }
     * 
     */
    public SZRException createSZRException() {
        return new SZRException();
    }

    /**
     * Create an instance of {@link ZMRAnwendungsIntegrationResponse }
     * 
     */
    public ZMRAnwendungsIntegrationResponse createZMRAnwendungsIntegrationResponse() {
        return new ZMRAnwendungsIntegrationResponse();
    }

    /**
     * Create an instance of {@link ZMRAnwendungsIntegrationReturnType }
     * 
     */
    public ZMRAnwendungsIntegrationReturnType createZMRAnwendungsIntegrationReturnType() {
        return new ZMRAnwendungsIntegrationReturnType();
    }

    /**
     * Create an instance of {@link TransformBPK }
     * 
     */
    public TransformBPK createTransformBPK() {
        return new TransformBPK();
    }

    /**
     * Create an instance of {@link TransformBPKResponse }
     * 
     */
    public TransformBPKResponse createTransformBPKResponse() {
        return new TransformBPKResponse();
    }

    /**
     * Create an instance of {@link FremdBPKType }
     * 
     */
    public FremdBPKType createFremdBPKType() {
        return new FremdBPKType();
    }

    /**
     * Create an instance of {@link GetStammzahl }
     * 
     */
    public GetStammzahl createGetStammzahl() {
        return new GetStammzahl();
    }

    /**
     * Create an instance of {@link BPKzuBasiszahlResponse }
     * 
     */
    public BPKzuBasiszahlResponse createBPKzuBasiszahlResponse() {
        return new BPKzuBasiszahlResponse();
    }

    /**
     * Create an instance of {@link GetBPKResponse }
     * 
     */
    public GetBPKResponse createGetBPKResponse() {
        return new GetBPKResponse();
    }

    /**
     * Create an instance of {@link GetBPK }
     * 
     */
    public GetBPK createGetBPK() {
        return new GetBPK();
    }

    /**
     * Create an instance of {@link GetVersionResponse }
     * 
     */
    public GetVersionResponse createGetVersionResponse() {
        return new GetVersionResponse();
    }

    /**
     * Create an instance of {@link GetIdentityLinkResponse }
     * 
     */
    public GetIdentityLinkResponse createGetIdentityLinkResponse() {
        return new GetIdentityLinkResponse();
    }

    /**
     * Create an instance of {@link AddressCodesType }
     * 
     */
    public AddressCodesType createAddressCodesType() {
        return new AddressCodesType();
    }

    /**
     * Create an instance of {@link TravelDocumentType }
     * 
     */
    public TravelDocumentType createTravelDocumentType() {
        return new TravelDocumentType();
    }

    /**
     * Create an instance of {@link GetBPKKombiResponseType.ResultRecord }
     * 
     */
    public GetBPKKombiResponseType.ResultRecord createGetBPKKombiResponseTypeResultRecord() {
        return new GetBPKKombiResponseType.ResultRecord();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SZRException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:SZRServices", name = "SZRException")
    public JAXBElement<SZRException> createSZRException(SZRException value) {
        return new JAXBElement<SZRException>(_SZRException_QNAME, SZRException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:SZRServices", name = "GetVersion")
    public JAXBElement<Object> createGetVersion(Object value) {
        return new JAXBElement<Object>(_GetVersion_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TravelDocumentType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:SZRServices", name = "TravelDocument", scope = PersonInfoType.class)
    public JAXBElement<TravelDocumentType> createPersonInfoTypeTravelDocument(TravelDocumentType value) {
        return new JAXBElement<TravelDocumentType>(_PersonInfoTypeTravelDocument_QNAME, TravelDocumentType.class, PersonInfoType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:SZRServices", name = "DateOfBirthWildcard", scope = PersonInfoType.class)
    public JAXBElement<Boolean> createPersonInfoTypeDateOfBirthWildcard(Boolean value) {
        return new JAXBElement<Boolean>(_PersonInfoTypeDateOfBirthWildcard_QNAME, Boolean.class, PersonInfoType.class, value);
    }

}
