
package at.gv.util.xsd.szr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Bereich" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="FremdBPKTargets" type="{urn:SZRServices}FremdBPKRequestType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="ZMRfremdbPK" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "bereich",
    "fremdBPKTargets",
    "zmRfremdbPK"
})
@XmlRootElement(name = "ZMRAnwendungsIntegration")
public class ZMRAnwendungsIntegration {

    @XmlElement(name = "Bereich", required = true)
    protected String bereich;
    @XmlElement(name = "FremdBPKTargets")
    protected List<FremdBPKRequestType> fremdBPKTargets;
    @XmlElement(name = "ZMRfremdbPK", required = true)
    protected List<String> zmRfremdbPK;

    /**
     * Ruft den Wert der bereich-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBereich() {
        return bereich;
    }

    /**
     * Legt den Wert der bereich-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBereich(String value) {
        this.bereich = value;
    }

    /**
     * Gets the value of the fremdBPKTargets property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fremdBPKTargets property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFremdBPKTargets().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FremdBPKRequestType }
     * 
     * 
     */
    public List<FremdBPKRequestType> getFremdBPKTargets() {
        if (fremdBPKTargets == null) {
            fremdBPKTargets = new ArrayList<FremdBPKRequestType>();
        }
        return this.fremdBPKTargets;
    }

    /**
     * Gets the value of the zmRfremdbPK property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the zmRfremdbPK property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getZMRfremdbPK().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getZMRfremdbPK() {
        if (zmRfremdbPK == null) {
            zmRfremdbPK = new ArrayList<String>();
        }
        return this.zmRfremdbPK;
    }

}
