
package at.gv.util.xsd.szr.pvp;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.namespace.QName;
import org.w3c.dom.Element;


/**
 * <p>Java-Klasse für pvpTokenType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="pvpTokenType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="authenticate">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="participantId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="gvOuDomain" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;choice>
 *                     &lt;element name="userPrincipal">
 *                       &lt;complexType>
 *                         &lt;complexContent>
 *                           &lt;extension base="{http://egov.gv.at/pvp1.xsd}pvpPrincipalType">
 *                             &lt;sequence>
 *                               &lt;element name="gvGid" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                               &lt;element name="gvFunction" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                             &lt;/sequence>
 *                             &lt;anyAttribute processContents='lax'/>
 *                           &lt;/extension>
 *                         &lt;/complexContent>
 *                       &lt;/complexType>
 *                     &lt;/element>
 *                     &lt;element name="systemPrincipal" type="{http://egov.gv.at/pvp1.xsd}pvpPrincipalType"/>
 *                   &lt;/choice>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="authorize" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element ref="{http://egov.gv.at/pvp1.xsd}role" maxOccurs="unbounded"/>
 *                   &lt;element name="dummy" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="accounting" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="invoiceRecptId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="gvCostCenterId" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                           &lt;attribute name="default" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="gvChargeCode" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                           &lt;attribute name="default" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="pvpChainedToken" type="{http://egov.gv.at/pvp1.xsd}pvpTokenType" minOccurs="0"/>
 *         &lt;element name="pvpExtension" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;any processContents='lax' maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="version" use="required" type="{http://egov.gv.at/pvp1.xsd}gvVersionType" />
 *       &lt;anyAttribute processContents='lax'/>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "pvpTokenType", propOrder = {
    "authenticate",
    "authorize",
    "accounting",
    "pvpChainedToken",
    "pvpExtension"
})
public class PvpTokenType {

    @XmlElement(required = true)
    protected PvpTokenType.Authenticate authenticate;
    protected PvpTokenType.Authorize authorize;
    protected PvpTokenType.Accounting accounting;
    protected PvpTokenType pvpChainedToken;
    protected PvpTokenType.PvpExtension pvpExtension;
    @XmlAttribute(name = "version", required = true)
    protected String version;
    @XmlAnyAttribute
    private Map<QName, String> otherAttributes = new HashMap<QName, String>();

    /**
     * Ruft den Wert der authenticate-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PvpTokenType.Authenticate }
     *     
     */
    public PvpTokenType.Authenticate getAuthenticate() {
        return authenticate;
    }

    /**
     * Legt den Wert der authenticate-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PvpTokenType.Authenticate }
     *     
     */
    public void setAuthenticate(PvpTokenType.Authenticate value) {
        this.authenticate = value;
    }

    /**
     * Ruft den Wert der authorize-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PvpTokenType.Authorize }
     *     
     */
    public PvpTokenType.Authorize getAuthorize() {
        return authorize;
    }

    /**
     * Legt den Wert der authorize-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PvpTokenType.Authorize }
     *     
     */
    public void setAuthorize(PvpTokenType.Authorize value) {
        this.authorize = value;
    }

    /**
     * Ruft den Wert der accounting-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PvpTokenType.Accounting }
     *     
     */
    public PvpTokenType.Accounting getAccounting() {
        return accounting;
    }

    /**
     * Legt den Wert der accounting-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PvpTokenType.Accounting }
     *     
     */
    public void setAccounting(PvpTokenType.Accounting value) {
        this.accounting = value;
    }

    /**
     * Ruft den Wert der pvpChainedToken-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PvpTokenType }
     *     
     */
    public PvpTokenType getPvpChainedToken() {
        return pvpChainedToken;
    }

    /**
     * Legt den Wert der pvpChainedToken-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PvpTokenType }
     *     
     */
    public void setPvpChainedToken(PvpTokenType value) {
        this.pvpChainedToken = value;
    }

    /**
     * Ruft den Wert der pvpExtension-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PvpTokenType.PvpExtension }
     *     
     */
    public PvpTokenType.PvpExtension getPvpExtension() {
        return pvpExtension;
    }

    /**
     * Legt den Wert der pvpExtension-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PvpTokenType.PvpExtension }
     *     
     */
    public void setPvpExtension(PvpTokenType.PvpExtension value) {
        this.pvpExtension = value;
    }

    /**
     * Ruft den Wert der version-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Legt den Wert der version-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

    /**
     * Gets a map that contains attributes that aren't bound to any typed property on this class.
     * 
     * <p>
     * the map is keyed by the name of the attribute and 
     * the value is the string value of the attribute.
     * 
     * the map returned by this method is live, and you can add new attribute
     * by updating the map directly. Because of this design, there's no setter.
     * 
     * 
     * @return
     *     always non-null
     */
    public Map<QName, String> getOtherAttributes() {
        return otherAttributes;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="invoiceRecptId" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="gvCostCenterId" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *                 &lt;attribute name="default" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="gvChargeCode" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *                 &lt;attribute name="default" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "invoiceRecptId",
        "gvCostCenterId",
        "gvChargeCode"
    })
    public static class Accounting {

        @XmlElement(required = true)
        protected String invoiceRecptId;
        @XmlElement(required = true)
        protected List<PvpTokenType.Accounting.GvCostCenterId> gvCostCenterId;
        @XmlElement(required = true)
        protected List<PvpTokenType.Accounting.GvChargeCode> gvChargeCode;

        /**
         * Ruft den Wert der invoiceRecptId-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getInvoiceRecptId() {
            return invoiceRecptId;
        }

        /**
         * Legt den Wert der invoiceRecptId-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setInvoiceRecptId(String value) {
            this.invoiceRecptId = value;
        }

        /**
         * Gets the value of the gvCostCenterId property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the gvCostCenterId property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getGvCostCenterId().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PvpTokenType.Accounting.GvCostCenterId }
         * 
         * 
         */
        public List<PvpTokenType.Accounting.GvCostCenterId> getGvCostCenterId() {
            if (gvCostCenterId == null) {
                gvCostCenterId = new ArrayList<PvpTokenType.Accounting.GvCostCenterId>();
            }
            return this.gvCostCenterId;
        }

        /**
         * Gets the value of the gvChargeCode property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the gvChargeCode property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getGvChargeCode().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PvpTokenType.Accounting.GvChargeCode }
         * 
         * 
         */
        public List<PvpTokenType.Accounting.GvChargeCode> getGvChargeCode() {
            if (gvChargeCode == null) {
                gvChargeCode = new ArrayList<PvpTokenType.Accounting.GvChargeCode>();
            }
            return this.gvChargeCode;
        }


        /**
         * <p>Java-Klasse für anonymous complex type.
         * 
         * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
         *       &lt;attribute name="default" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "value"
        })
        public static class GvChargeCode {

            @XmlValue
            protected String value;
            @XmlAttribute(name = "default")
            protected Boolean _default;

            /**
             * Ruft den Wert der value-Eigenschaft ab.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getValue() {
                return value;
            }

            /**
             * Legt den Wert der value-Eigenschaft fest.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setValue(String value) {
                this.value = value;
            }

            /**
             * Ruft den Wert der default-Eigenschaft ab.
             * 
             * @return
             *     possible object is
             *     {@link Boolean }
             *     
             */
            public boolean isDefault() {
                if (_default == null) {
                    return false;
                } else {
                    return _default;
                }
            }

            /**
             * Legt den Wert der default-Eigenschaft fest.
             * 
             * @param value
             *     allowed object is
             *     {@link Boolean }
             *     
             */
            public void setDefault(Boolean value) {
                this._default = value;
            }

        }


        /**
         * <p>Java-Klasse für anonymous complex type.
         * 
         * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
         *       &lt;attribute name="default" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "value"
        })
        public static class GvCostCenterId {

            @XmlValue
            protected String value;
            @XmlAttribute(name = "default")
            protected Boolean _default;

            /**
             * Ruft den Wert der value-Eigenschaft ab.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getValue() {
                return value;
            }

            /**
             * Legt den Wert der value-Eigenschaft fest.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setValue(String value) {
                this.value = value;
            }

            /**
             * Ruft den Wert der default-Eigenschaft ab.
             * 
             * @return
             *     possible object is
             *     {@link Boolean }
             *     
             */
            public boolean isDefault() {
                if (_default == null) {
                    return false;
                } else {
                    return _default;
                }
            }

            /**
             * Legt den Wert der default-Eigenschaft fest.
             * 
             * @param value
             *     allowed object is
             *     {@link Boolean }
             *     
             */
            public void setDefault(Boolean value) {
                this._default = value;
            }

        }

    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="participantId" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="gvOuDomain" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;choice>
     *           &lt;element name="userPrincipal">
     *             &lt;complexType>
     *               &lt;complexContent>
     *                 &lt;extension base="{http://egov.gv.at/pvp1.xsd}pvpPrincipalType">
     *                   &lt;sequence>
     *                     &lt;element name="gvGid" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                     &lt;element name="gvFunction" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                   &lt;/sequence>
     *                   &lt;anyAttribute processContents='lax'/>
     *                 &lt;/extension>
     *               &lt;/complexContent>
     *             &lt;/complexType>
     *           &lt;/element>
     *           &lt;element name="systemPrincipal" type="{http://egov.gv.at/pvp1.xsd}pvpPrincipalType"/>
     *         &lt;/choice>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "participantId",
        "gvOuDomain",
        "userPrincipal",
        "systemPrincipal"
    })
    public static class Authenticate {

        @XmlElement(required = true)
        protected String participantId;
        protected String gvOuDomain;
        protected PvpTokenType.Authenticate.UserPrincipal userPrincipal;
        protected PvpPrincipalType systemPrincipal;

        /**
         * Ruft den Wert der participantId-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getParticipantId() {
            return participantId;
        }

        /**
         * Legt den Wert der participantId-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setParticipantId(String value) {
            this.participantId = value;
        }

        /**
         * Ruft den Wert der gvOuDomain-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGvOuDomain() {
            return gvOuDomain;
        }

        /**
         * Legt den Wert der gvOuDomain-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGvOuDomain(String value) {
            this.gvOuDomain = value;
        }

        /**
         * Ruft den Wert der userPrincipal-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link PvpTokenType.Authenticate.UserPrincipal }
         *     
         */
        public PvpTokenType.Authenticate.UserPrincipal getUserPrincipal() {
            return userPrincipal;
        }

        /**
         * Legt den Wert der userPrincipal-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link PvpTokenType.Authenticate.UserPrincipal }
         *     
         */
        public void setUserPrincipal(PvpTokenType.Authenticate.UserPrincipal value) {
            this.userPrincipal = value;
        }

        /**
         * Ruft den Wert der systemPrincipal-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link PvpPrincipalType }
         *     
         */
        public PvpPrincipalType getSystemPrincipal() {
            return systemPrincipal;
        }

        /**
         * Legt den Wert der systemPrincipal-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link PvpPrincipalType }
         *     
         */
        public void setSystemPrincipal(PvpPrincipalType value) {
            this.systemPrincipal = value;
        }


        /**
         * <p>Java-Klasse für anonymous complex type.
         * 
         * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;extension base="{http://egov.gv.at/pvp1.xsd}pvpPrincipalType">
         *       &lt;sequence>
         *         &lt;element name="gvGid" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *         &lt;element name="gvFunction" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *       &lt;/sequence>
         *       &lt;anyAttribute processContents='lax'/>
         *     &lt;/extension>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "gvGid",
            "gvFunction"
        })
        public static class UserPrincipal
            extends PvpPrincipalType
        {

            @XmlElement(required = true)
            protected String gvGid;
            protected String gvFunction;

            /**
             * Ruft den Wert der gvGid-Eigenschaft ab.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getGvGid() {
                return gvGid;
            }

            /**
             * Legt den Wert der gvGid-Eigenschaft fest.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setGvGid(String value) {
                this.gvGid = value;
            }

            /**
             * Ruft den Wert der gvFunction-Eigenschaft ab.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getGvFunction() {
                return gvFunction;
            }

            /**
             * Legt den Wert der gvFunction-Eigenschaft fest.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setGvFunction(String value) {
                this.gvFunction = value;
            }

        }

    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element ref="{http://egov.gv.at/pvp1.xsd}role" maxOccurs="unbounded"/>
     *         &lt;element name="dummy" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "role",
        "dummy"
    })
    public static class Authorize {

        @XmlElement(required = true)
        protected List<Role> role;
        protected Object dummy;

        /**
         * Gets the value of the role property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the role property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRole().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Role }
         * 
         * 
         */
        public List<Role> getRole() {
            if (role == null) {
                role = new ArrayList<Role>();
            }
            return this.role;
        }

        /**
         * Ruft den Wert der dummy-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     
         */
        public Object getDummy() {
            return dummy;
        }

        /**
         * Legt den Wert der dummy-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     
         */
        public void setDummy(Object value) {
            this.dummy = value;
        }

    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;any processContents='lax' maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "any"
    })
    public static class PvpExtension {

        @XmlAnyElement(lax = true)
        protected List<Object> any;

        /**
         * Gets the value of the any property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the any property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAny().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Element }
         * {@link Object }
         * 
         * 
         */
        public List<Object> getAny() {
            if (any == null) {
                any = new ArrayList<Object>();
            }
            return this.any;
        }

    }

}
