
package at.gv.util.xsd.ur_V2.search;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java-Klasse für SuchePersonendaten complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="SuchePersonendaten">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="phonetisch" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="nachname" type="{http://statistik.at/namespace/ur/simpleTypes/2#}NachnameTyp" minOccurs="0"/>
 *         &lt;element name="vorname" type="{http://statistik.at/namespace/ur/simpleTypes/2#}VornameTyp" minOccurs="0"/>
 *         &lt;element name="gebDatum" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="strasse" type="{http://statistik.at/namespace/ur/simpleTypes/2#}StrasseTyp" minOccurs="0"/>
 *         &lt;element name="hNr" type="{http://statistik.at/namespace/ur/simpleTypes/2#}HNrTyp" minOccurs="0"/>
 *         &lt;element name="ort" type="{http://statistik.at/namespace/ur/simpleTypes/2#}OrtTyp" minOccurs="0"/>
 *         &lt;element name="gemnr" type="{http://statistik.at/namespace/ur/simpleTypes/2#}GemnrTyp" minOccurs="0"/>
 *         &lt;element name="plz" type="{http://statistik.at/namespace/ur/simpleTypes/2#}PlzTyp" minOccurs="0"/>
 *         &lt;element name="land" type="{http://statistik.at/namespace/ur/simpleTypes/2#}LandTyp" minOccurs="0"/>
 *         &lt;element name="stammzahl" type="{http://statistik.at/namespace/ur/simpleTypes/2#}IdTyp" minOccurs="0"/>
 *         &lt;element name="stammregister" type="{http://statistik.at/namespace/ur/simpleTypes/2#}IdArtTyp" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SuchePersonendaten", propOrder = {
    "phonetisch",
    "nachname",
    "vorname",
    "gebDatum",
    "strasse",
    "hNr",
    "ort",
    "gemnr",
    "plz",
    "land",
    "stammzahl",
    "stammregister"
})
public class SuchePersonendaten {

    protected Boolean phonetisch;
    protected String nachname;
    protected String vorname;
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar gebDatum;
    protected String strasse;
    protected String hNr;
    protected String ort;
    @XmlSchemaType(name = "integer")
    protected Integer gemnr;
    protected String plz;
    protected String land;
    protected String stammzahl;
    protected String stammregister;

    /**
     * Ruft den Wert der phonetisch-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPhonetisch() {
        return phonetisch;
    }

    /**
     * Legt den Wert der phonetisch-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPhonetisch(Boolean value) {
        this.phonetisch = value;
    }

    /**
     * Ruft den Wert der nachname-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNachname() {
        return nachname;
    }

    /**
     * Legt den Wert der nachname-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNachname(String value) {
        this.nachname = value;
    }

    /**
     * Ruft den Wert der vorname-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVorname() {
        return vorname;
    }

    /**
     * Legt den Wert der vorname-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVorname(String value) {
        this.vorname = value;
    }

    /**
     * Ruft den Wert der gebDatum-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getGebDatum() {
        return gebDatum;
    }

    /**
     * Legt den Wert der gebDatum-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setGebDatum(XMLGregorianCalendar value) {
        this.gebDatum = value;
    }

    /**
     * Ruft den Wert der strasse-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStrasse() {
        return strasse;
    }

    /**
     * Legt den Wert der strasse-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStrasse(String value) {
        this.strasse = value;
    }

    /**
     * Ruft den Wert der hNr-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHNr() {
        return hNr;
    }

    /**
     * Legt den Wert der hNr-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHNr(String value) {
        this.hNr = value;
    }

    /**
     * Ruft den Wert der ort-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrt() {
        return ort;
    }

    /**
     * Legt den Wert der ort-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrt(String value) {
        this.ort = value;
    }

    /**
     * Ruft den Wert der gemnr-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getGemnr() {
        return gemnr;
    }

    /**
     * Legt den Wert der gemnr-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setGemnr(Integer value) {
        this.gemnr = value;
    }

    /**
     * Ruft den Wert der plz-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPlz() {
        return plz;
    }

    /**
     * Legt den Wert der plz-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlz(String value) {
        this.plz = value;
    }

    /**
     * Ruft den Wert der land-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLand() {
        return land;
    }

    /**
     * Legt den Wert der land-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLand(String value) {
        this.land = value;
    }

    /**
     * Ruft den Wert der stammzahl-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStammzahl() {
        return stammzahl;
    }

    /**
     * Legt den Wert der stammzahl-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStammzahl(String value) {
        this.stammzahl = value;
    }

    /**
     * Ruft den Wert der stammregister-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStammregister() {
        return stammregister;
    }

    /**
     * Legt den Wert der stammregister-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStammregister(String value) {
        this.stammregister = value;
    }

}
