
package at.gv.util.xsd.ur_V2.search;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import at.gv.util.xsd.ur_V2.simpletypes.VollzugStatusTyp;


/**
 * <p>Java-Klasse für Vollzug complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="Vollzug">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Antrag" type="{http://statistik.at/namespace/ur/stammdaten/2#}VollzugElem"/>
 *         &lt;element name="Vollzug" type="{http://statistik.at/namespace/ur/stammdaten/2#}VollzugElem" minOccurs="0"/>
 *         &lt;element name="Zurueckstellung" type="{http://statistik.at/namespace/ur/stammdaten/2#}VollzugElem" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *       &lt;attribute name="nummer" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *       &lt;attribute name="status" use="required" type="{http://statistik.at/namespace/ur/simpleTypes/2#}VollzugStatusTyp" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Vollzug", propOrder = {
    "antrag",
    "vollzug",
    "zurueckstellung"
})
public class Vollzug {

    @XmlElement(name = "Antrag", required = true)
    protected VollzugElem antrag;
    @XmlElement(name = "Vollzug")
    protected VollzugElem vollzug;
    @XmlElement(name = "Zurueckstellung")
    protected VollzugElem zurueckstellung;
    @XmlAttribute(name = "id", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;
    @XmlAttribute(name = "nummer", required = true)
    protected BigInteger nummer;
    @XmlAttribute(name = "status", required = true)
    protected VollzugStatusTyp status;

    /**
     * Ruft den Wert der antrag-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link VollzugElem }
     *     
     */
    public VollzugElem getAntrag() {
        return antrag;
    }

    /**
     * Legt den Wert der antrag-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link VollzugElem }
     *     
     */
    public void setAntrag(VollzugElem value) {
        this.antrag = value;
    }

    /**
     * Ruft den Wert der vollzug-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link VollzugElem }
     *     
     */
    public VollzugElem getVollzug() {
        return vollzug;
    }

    /**
     * Legt den Wert der vollzug-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link VollzugElem }
     *     
     */
    public void setVollzug(VollzugElem value) {
        this.vollzug = value;
    }

    /**
     * Ruft den Wert der zurueckstellung-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link VollzugElem }
     *     
     */
    public VollzugElem getZurueckstellung() {
        return zurueckstellung;
    }

    /**
     * Legt den Wert der zurueckstellung-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link VollzugElem }
     *     
     */
    public void setZurueckstellung(VollzugElem value) {
        this.zurueckstellung = value;
    }

    /**
     * Ruft den Wert der id-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Legt den Wert der id-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Ruft den Wert der nummer-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNummer() {
        return nummer;
    }

    /**
     * Legt den Wert der nummer-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNummer(BigInteger value) {
        this.nummer = value;
    }

    /**
     * Ruft den Wert der status-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link VollzugStatusTyp }
     *     
     */
    public VollzugStatusTyp getStatus() {
        return status;
    }

    /**
     * Legt den Wert der status-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link VollzugStatusTyp }
     *     
     */
    public void setStatus(VollzugStatusTyp value) {
        this.status = value;
    }

}
