
package at.gv.util.xsd.ur_V5.pd;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * entspricht PostalAddressType
 * 
 * <p>Java-Klasse für PostAdresseTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="PostAdresseTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}AbstractAddressType">
 *       &lt;sequence>
 *         &lt;element name="Staatscode" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;pattern value="[A-Z]{3}"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="Postleitzahl" type="{http://www.w3.org/2001/XMLSchema}token" minOccurs="0"/>
 *         &lt;element name="Gemeinde" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Gemeindekennziffer" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
 *         &lt;element name="Ortschaft" type="{http://www.w3.org/2001/XMLSchema}token" minOccurs="0"/>
 *         &lt;element name="Zustelladresse" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Strassenname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="Orientierungsnummer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="Nutzungseinheitlaufnummer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="AdressRegisterEintrag" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="Adresscode" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}string7"/>
 *                             &lt;element name="Subcode" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}string3" minOccurs="0"/>
 *                             &lt;element name="Objektnummer" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}string7" minOccurs="0"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PostAdresseTyp", propOrder = {
    "staatscode",
    "postleitzahl",
    "gemeinde",
    "gemeindekennziffer",
    "ortschaft",
    "zustelladresse"
})
public class PostAdresseTyp
    extends AbstractAddressType
{

    @XmlElement(name = "Staatscode")
    protected String staatscode;
    @XmlElement(name = "Postleitzahl")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String postleitzahl;
    @XmlElement(name = "Gemeinde")
    protected String gemeinde;
    @XmlElement(name = "Gemeindekennziffer")
    protected Object gemeindekennziffer;
    @XmlElement(name = "Ortschaft")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String ortschaft;
    @XmlElement(name = "Zustelladresse")
    protected PostAdresseTyp.Zustelladresse zustelladresse;

    /**
     * Ruft den Wert der staatscode-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStaatscode() {
        return staatscode;
    }

    /**
     * Legt den Wert der staatscode-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStaatscode(String value) {
        this.staatscode = value;
    }

    /**
     * Ruft den Wert der postleitzahl-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostleitzahl() {
        return postleitzahl;
    }

    /**
     * Legt den Wert der postleitzahl-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostleitzahl(String value) {
        this.postleitzahl = value;
    }

    /**
     * Ruft den Wert der gemeinde-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGemeinde() {
        return gemeinde;
    }

    /**
     * Legt den Wert der gemeinde-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGemeinde(String value) {
        this.gemeinde = value;
    }

    /**
     * Ruft den Wert der gemeindekennziffer-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getGemeindekennziffer() {
        return gemeindekennziffer;
    }

    /**
     * Legt den Wert der gemeindekennziffer-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setGemeindekennziffer(Object value) {
        this.gemeindekennziffer = value;
    }

    /**
     * Ruft den Wert der ortschaft-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrtschaft() {
        return ortschaft;
    }

    /**
     * Legt den Wert der ortschaft-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrtschaft(String value) {
        this.ortschaft = value;
    }

    /**
     * Ruft den Wert der zustelladresse-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PostAdresseTyp.Zustelladresse }
     *     
     */
    public PostAdresseTyp.Zustelladresse getZustelladresse() {
        return zustelladresse;
    }

    /**
     * Legt den Wert der zustelladresse-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PostAdresseTyp.Zustelladresse }
     *     
     */
    public void setZustelladresse(PostAdresseTyp.Zustelladresse value) {
        this.zustelladresse = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Strassenname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="Orientierungsnummer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="Nutzungseinheitlaufnummer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="AdressRegisterEintrag" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="Adresscode" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}string7"/>
     *                   &lt;element name="Subcode" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}string3" minOccurs="0"/>
     *                   &lt;element name="Objektnummer" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}string7" minOccurs="0"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "strassenname",
        "orientierungsnummer",
        "nutzungseinheitlaufnummer",
        "adressRegisterEintrag"
    })
    public static class Zustelladresse {

        @XmlElement(name = "Strassenname")
        protected String strassenname;
        @XmlElement(name = "Orientierungsnummer")
        protected String orientierungsnummer;
        @XmlElement(name = "Nutzungseinheitlaufnummer")
        protected String nutzungseinheitlaufnummer;
        @XmlElement(name = "AdressRegisterEintrag")
        protected PostAdresseTyp.Zustelladresse.AdressRegisterEintrag adressRegisterEintrag;

        /**
         * Ruft den Wert der strassenname-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getStrassenname() {
            return strassenname;
        }

        /**
         * Legt den Wert der strassenname-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setStrassenname(String value) {
            this.strassenname = value;
        }

        /**
         * Ruft den Wert der orientierungsnummer-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getOrientierungsnummer() {
            return orientierungsnummer;
        }

        /**
         * Legt den Wert der orientierungsnummer-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setOrientierungsnummer(String value) {
            this.orientierungsnummer = value;
        }

        /**
         * Ruft den Wert der nutzungseinheitlaufnummer-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getNutzungseinheitlaufnummer() {
            return nutzungseinheitlaufnummer;
        }

        /**
         * Legt den Wert der nutzungseinheitlaufnummer-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setNutzungseinheitlaufnummer(String value) {
            this.nutzungseinheitlaufnummer = value;
        }

        /**
         * Ruft den Wert der adressRegisterEintrag-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link PostAdresseTyp.Zustelladresse.AdressRegisterEintrag }
         *     
         */
        public PostAdresseTyp.Zustelladresse.AdressRegisterEintrag getAdressRegisterEintrag() {
            return adressRegisterEintrag;
        }

        /**
         * Legt den Wert der adressRegisterEintrag-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link PostAdresseTyp.Zustelladresse.AdressRegisterEintrag }
         *     
         */
        public void setAdressRegisterEintrag(PostAdresseTyp.Zustelladresse.AdressRegisterEintrag value) {
            this.adressRegisterEintrag = value;
        }


        /**
         * <p>Java-Klasse für anonymous complex type.
         * 
         * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="Adresscode" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}string7"/>
         *         &lt;element name="Subcode" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}string3" minOccurs="0"/>
         *         &lt;element name="Objektnummer" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}string7" minOccurs="0"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "adresscode",
            "subcode",
            "objektnummer"
        })
        public static class AdressRegisterEintrag {

            @XmlElement(name = "Adresscode", required = true)
            protected String adresscode;
            @XmlElement(name = "Subcode")
            protected String subcode;
            @XmlElement(name = "Objektnummer")
            protected String objektnummer;

            /**
             * Ruft den Wert der adresscode-Eigenschaft ab.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getAdresscode() {
                return adresscode;
            }

            /**
             * Legt den Wert der adresscode-Eigenschaft fest.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setAdresscode(String value) {
                this.adresscode = value;
            }

            /**
             * Ruft den Wert der subcode-Eigenschaft ab.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getSubcode() {
                return subcode;
            }

            /**
             * Legt den Wert der subcode-Eigenschaft fest.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setSubcode(String value) {
                this.subcode = value;
            }

            /**
             * Ruft den Wert der objektnummer-Eigenschaft ab.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getObjektnummer() {
                return objektnummer;
            }

            /**
             * Legt den Wert der objektnummer-Eigenschaft fest.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setObjektnummer(String value) {
                this.objektnummer = value;
            }

        }

    }

}
