
package at.gv.util.xsd.ur_V5.search;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import at.gv.util.xsd.ur_V5.simpletypes.ErgebnisVollzugStatusTyp;


/**
 * <p>Java-Klasse für SucheUnternehmenNachIdRequest complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="SucheUnternehmenNachIdRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="version" type="{http://statistik.at/namespace/ur/simpleTypes/2#}VersionTyp" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element name="kur" type="{http://statistik.at/namespace/ur/simpleTypes/2#}KurTyp"/>
 *           &lt;element name="fbn" type="{http://statistik.at/namespace/ur/simpleTypes/2#}FbnTyp"/>
 *           &lt;element name="zvr" type="{http://statistik.at/namespace/ur/simpleTypes/2#}ZvrTyp"/>
 *           &lt;element name="erj" type="{http://statistik.at/namespace/ur/simpleTypes/2#}ErjTyp"/>
 *           &lt;element name="sek" type="{http://statistik.at/namespace/ur/simpleTypes/2#}SekTyp"/>
 *         &lt;/choice>
 *         &lt;element name="URV_pdf" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="stichtag" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="mitHistorie" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="vollzugStatus" type="{http://statistik.at/namespace/ur/simpleTypes/2#}ErgebnisVollzugStatusTyp" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SucheUnternehmenNachIdRequest", propOrder = {
    "version",
    "kur",
    "fbn",
    "zvr",
    "erj",
    "sek",
    "urvPdf",
    "stichtag",
    "mitHistorie",
    "vollzugStatus"
})
public class SucheUnternehmenNachIdRequest {

    protected String version;
    protected String kur;
    protected String fbn;
    protected String zvr;
    protected String erj;
    protected String sek;
    @XmlElement(name = "URV_pdf", defaultValue = "false")
    protected Boolean urvPdf;
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar stichtag;
    @XmlElement(defaultValue = "false")
    protected boolean mitHistorie;
    @XmlSchemaType(name = "string")
    protected ErgebnisVollzugStatusTyp vollzugStatus;

    /**
     * Ruft den Wert der version-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Legt den Wert der version-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

    /**
     * Ruft den Wert der kur-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKur() {
        return kur;
    }

    /**
     * Legt den Wert der kur-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKur(String value) {
        this.kur = value;
    }

    /**
     * Ruft den Wert der fbn-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFbn() {
        return fbn;
    }

    /**
     * Legt den Wert der fbn-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFbn(String value) {
        this.fbn = value;
    }

    /**
     * Ruft den Wert der zvr-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getZvr() {
        return zvr;
    }

    /**
     * Legt den Wert der zvr-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setZvr(String value) {
        this.zvr = value;
    }

    /**
     * Ruft den Wert der erj-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getErj() {
        return erj;
    }

    /**
     * Legt den Wert der erj-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setErj(String value) {
        this.erj = value;
    }

    /**
     * Ruft den Wert der sek-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSek() {
        return sek;
    }

    /**
     * Legt den Wert der sek-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSek(String value) {
        this.sek = value;
    }

    /**
     * Ruft den Wert der urvPdf-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isURVPdf() {
        return urvPdf;
    }

    /**
     * Legt den Wert der urvPdf-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setURVPdf(Boolean value) {
        this.urvPdf = value;
    }

    /**
     * Ruft den Wert der stichtag-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getStichtag() {
        return stichtag;
    }

    /**
     * Legt den Wert der stichtag-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setStichtag(XMLGregorianCalendar value) {
        this.stichtag = value;
    }

    /**
     * Ruft den Wert der mitHistorie-Eigenschaft ab.
     * 
     */
    public boolean isMitHistorie() {
        return mitHistorie;
    }

    /**
     * Legt den Wert der mitHistorie-Eigenschaft fest.
     * 
     */
    public void setMitHistorie(boolean value) {
        this.mitHistorie = value;
    }

    /**
     * Ruft den Wert der vollzugStatus-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ErgebnisVollzugStatusTyp }
     *     
     */
    public ErgebnisVollzugStatusTyp getVollzugStatus() {
        return vollzugStatus;
    }

    /**
     * Legt den Wert der vollzugStatus-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ErgebnisVollzugStatusTyp }
     *     
     */
    public void setVollzugStatus(ErgebnisVollzugStatusTyp value) {
        this.vollzugStatus = value;
    }

}
