
package at.gv.util.xsd.zkopf;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.zkopf.persondata.InternetAddressType;
import at.gv.util.xsd.zkopf.persondata.TelephoneAddressType;


/**
 * <p>Java class for messagingaddressType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="messagingaddressType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}TelephoneAddress" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}InternetAddress" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "messagingaddressType", propOrder = {
    "telephoneAddress",
    "internetAddress"
})
public class MessagingaddressType {

    @XmlElement(name = "TelephoneAddress", namespace = "http://reference.e-government.gv.at/namespace/persondata/en/20040201#")
    protected TelephoneAddressType telephoneAddress;
    @XmlElement(name = "InternetAddress", namespace = "http://reference.e-government.gv.at/namespace/persondata/en/20040201#")
    protected InternetAddressType internetAddress;

    /**
     * Gets the value of the telephoneAddress property.
     * 
     * @return
     *     possible object is
     *     {@link TelephoneAddressType }
     *     
     */
    public TelephoneAddressType getTelephoneAddress() {
        return telephoneAddress;
    }

    /**
     * Sets the value of the telephoneAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link TelephoneAddressType }
     *     
     */
    public void setTelephoneAddress(TelephoneAddressType value) {
        this.telephoneAddress = value;
    }

    /**
     * Gets the value of the internetAddress property.
     * 
     * @return
     *     possible object is
     *     {@link InternetAddressType }
     *     
     */
    public InternetAddressType getInternetAddress() {
        return internetAddress;
    }

    /**
     * Sets the value of the internetAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link InternetAddressType }
     *     
     */
    public void setInternetAddress(InternetAddressType value) {
        this.internetAddress = value;
    }

}
