
package at.gv.util.xsd.zkopf;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.zkopf package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Query_QNAME = new QName("http://reference.e-government.gv.at/namespaces/zustellung/kopf", "Query");
    private final static QName _BulkAnswer_QNAME = new QName("http://reference.e-government.gv.at/namespaces/zustellung/kopf", "BulkAnswer");
    private final static QName _DeliveryAgents_QNAME = new QName("http://reference.e-government.gv.at/namespaces/zustellung/kopf", "DeliveryAgents");
    private final static QName _PushResponse_QNAME = new QName("http://reference.e-government.gv.at/namespaces/zustellung/kopf", "PushResponse");
    private final static QName _StdAnswer_QNAME = new QName("http://reference.e-government.gv.at/namespaces/zustellung/kopf", "StdAnswer");
    private final static QName _BulkQuery_QNAME = new QName("http://reference.e-government.gv.at/namespaces/zustellung/kopf", "BulkQuery");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.zkopf
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link BulkQueryType }
     * 
     */
    public BulkQueryType createBulkQueryType() {
        return new BulkQueryType();
    }

    /**
     * Create an instance of {@link PushResponseType.Success }
     * 
     */
    public PushResponseType.Success createPushResponseTypeSuccess() {
        return new PushResponseType.Success();
    }

    /**
     * Create an instance of {@link ZuseType }
     * 
     */
    public ZuseType createZuseType() {
        return new ZuseType();
    }

    /**
     * Create an instance of {@link AnswerType }
     * 
     */
    public AnswerType createAnswerType() {
        return new AnswerType();
    }

    /**
     * Create an instance of {@link AnswerType.Error }
     * 
     */
    public AnswerType.Error createAnswerTypeError() {
        return new AnswerType.Error();
    }

    /**
     * Create an instance of {@link DeliveryAgentsType.DeliveryAgent }
     * 
     */
    public DeliveryAgentsType.DeliveryAgent createDeliveryAgentsTypeDeliveryAgent() {
        return new DeliveryAgentsType.DeliveryAgent();
    }

    /**
     * Create an instance of {@link PushResponseType }
     * 
     */
    public PushResponseType createPushResponseType() {
        return new PushResponseType();
    }

    /**
     * Create an instance of {@link PushResponseType.Error }
     * 
     */
    public PushResponseType.Error createPushResponseTypeError() {
        return new PushResponseType.Error();
    }

    /**
     * Create an instance of {@link StdAnswerType }
     * 
     */
    public StdAnswerType createStdAnswerType() {
        return new StdAnswerType();
    }

    /**
     * Create an instance of {@link BulkAnswerType }
     * 
     */
    public BulkAnswerType createBulkAnswerType() {
        return new BulkAnswerType();
    }

    /**
     * Create an instance of {@link DeliveryAgentsType }
     * 
     */
    public DeliveryAgentsType createDeliveryAgentsType() {
        return new DeliveryAgentsType();
    }

    /**
     * Create an instance of {@link MessagingaddressType }
     * 
     */
    public MessagingaddressType createMessagingaddressType() {
        return new MessagingaddressType();
    }

    /**
     * Create an instance of {@link PushResponseType.Error.FailedDN }
     * 
     */
    public PushResponseType.Error.FailedDN createPushResponseTypeErrorFailedDN() {
        return new PushResponseType.Error.FailedDN();
    }

    /**
     * Create an instance of {@link AnswerType.Success }
     * 
     */
    public AnswerType.Success createAnswerTypeSuccess() {
        return new AnswerType.Success();
    }

    /**
     * Create an instance of {@link QueryType }
     * 
     */
    public QueryType createQueryType() {
        return new QueryType();
    }

    /**
     * Create an instance of {@link StdAnswerType.Success }
     * 
     */
    public StdAnswerType.Success createStdAnswerTypeSuccess() {
        return new StdAnswerType.Success();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QueryType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespaces/zustellung/kopf", name = "Query")
    public JAXBElement<QueryType> createQuery(QueryType value) {
        return new JAXBElement<QueryType>(_Query_QNAME, QueryType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BulkAnswerType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespaces/zustellung/kopf", name = "BulkAnswer")
    public JAXBElement<BulkAnswerType> createBulkAnswer(BulkAnswerType value) {
        return new JAXBElement<BulkAnswerType>(_BulkAnswer_QNAME, BulkAnswerType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliveryAgentsType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespaces/zustellung/kopf", name = "DeliveryAgents")
    public JAXBElement<DeliveryAgentsType> createDeliveryAgents(DeliveryAgentsType value) {
        return new JAXBElement<DeliveryAgentsType>(_DeliveryAgents_QNAME, DeliveryAgentsType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PushResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespaces/zustellung/kopf", name = "PushResponse")
    public JAXBElement<PushResponseType> createPushResponse(PushResponseType value) {
        return new JAXBElement<PushResponseType>(_PushResponse_QNAME, PushResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StdAnswerType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespaces/zustellung/kopf", name = "StdAnswer")
    public JAXBElement<StdAnswerType> createStdAnswer(StdAnswerType value) {
        return new JAXBElement<StdAnswerType>(_StdAnswer_QNAME, StdAnswerType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BulkQueryType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespaces/zustellung/kopf", name = "BulkQuery")
    public JAXBElement<BulkQueryType> createBulkQuery(BulkQueryType value) {
        return new JAXBElement<BulkQueryType>(_BulkQuery_QNAME, BulkQueryType.class, null, value);
    }

}
